#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <suit.h>
#include <stack.h>
#include <stack_protos.h>
#include <lyxkom.h>
#include <lyx_protos.h>
#include <lyx_login.h>
#include "install.h"

/* Hjlpobject */
SUIT_object helpBB, helptxt, helpokbutton;

/* Login- fnstrets objects */
SUIT_object loginBB, loginservinm, loginnamninm, loginpswinm, loginhelp, loginokbutton;

/* Main-fnstrets objects */
SUIT_object mainovrigt, MOvilka, MOla, mainBB, mainlas, mainavbryt, mainhelp, klocka, mainstack, mainaslabel;

/* Ls-fnstrets objects */
SUIT_object lasang, LLnyhet, LLnya, LLmina, LLalla, lasBB, lasstack, laslimo, lasnasta, lasforra, lasskriv, lasavbryt, lashelp, LSsvara, LSnytt, laseditor;

/* Mteslistobject */
SUIT_object listradio, listlabel, listavbryt, listBB, liststack, listhelp, listlist;

/* Skrivobject */
SUIT_object skrivBB, skrivstack, skrivklar, skrivavbryt, skrivhelp, skrivedit;

/* User-list objects */
SUIT_object userlistBB, userlistlist, userlisthelp, userlistinfo;

lyx_who_is_on_return anvlista;

char *stdstrlist[] = {"Svenne", "Gurka", "Lotta"};

static void starthide(void);

void GUI_error(char *errtxt, int errcode)
{
    SUIT_inform(errtxt);
    if(errcode)
      exit(errcode);
}

/* Counts how many 'sign' there is in 'string' */
static int GUI_char_count(char *string, char sign)
{
    int count = 0;
    char *tempptr = string;

    while(tempptr = strchr(tempptr, sign)) {
        count++;
        tempptr++;
    }
    return count;
}

/* Finds all @ and replaces with @@, the string allocates with malloc() */
static char *GUI_parse_at(char *string)
{
    char *tempptr, *newstring, *startptr = string;
    int value, i;
    
    value = GUI_char_count(string, '@');
    if((newstring = (char *) malloc(value +strlen(string)+1)) == NULL) {
        GUI_error("Intern fel: Fr lite minne", 10);
    }
    if(value == 0) {
        strcpy(newstring, string);
        return newstring;
    }
    newstring[0] = 0;
    for(i=0; i<value; i++) {
        tempptr = strchr(startptr, '@');
        strncat(newstring, startptr, tempptr-startptr+1);
        strcat(newstring, "@");
        startptr = tempptr+1;
    }
    strcat(newstring, startptr);
    return newstring;
}

void GUI_helpdo(SUIT_object object)
{
    char *text = NULL;
    static SUIT_object innan = NULL;

    if(object == mainhelp)
      text = "@bold(Hjlp) - Denna hjlptext.\n@bold(Avbryt) - G ur programmet.\n@bold(Ls) - Brja ls texter.\n@bold(vrigt) - Ej implenterat.";
    else if(object == lashelp)
      text = "@bold(Hjlp med ls) - Denna hjlptext.\n@bold(Avbryt lsning) - Stng lsfnstret\n@bold(Skriv) - Meny med fljande innehll:\n    @italic(Svara) - Svara p meddelande.\n    @italic(Frfatta) - Frfatta nytt meddelande.\n@bold(Freg. text
 - Visa fregende text\n@bold(Nsta text) - Ls nsta text\n@bold(Lista mte) - Meny med fljande innehll:\n    @italic(Nyheter) - Lista alla mten med nya meddelanden i.\n    @italic(Mina) - Lista alla mten du r medlem i\n";
    else if(object == skrivhelp)
      text = "Detta r den suverna hjlptexten till @italic(SKRIV)";
    else if(object == listhelp)
      text = "Detta r den suverna hjlptexten till @italic(LIST)";
    else if(object == loginhelp)
      text = "Detta r loginhjlpen.";
    else if(object == userlisthelp)
      text = "Detta r user-list-hjlpen.";
    else if(object == helpokbutton) {
	SUIT_setBoolean(helpBB, VISIBLE, FALSE);
	innan = NULL;
	return;
    }
    else
      GUI_error("Fel vid hjlpavkodningen!", 5);
    SUIT_setText(helptxt, LABEL, text);
    if(object == innan || innan == NULL) {
	SUIT_setBoolean(helpBB, VISIBLE, !SUIT_getBoolean(helpBB, VISIBLE));
	if(object == innan) {
	    innan = NULL;
	    return;
	}
    }
    innan = object;
}

static SUIT_object GUI_get_root_child(SUIT_object object)
{
    SUIT_object temp1, temp2;

    while((temp1 = SUIT_getParent(object)) != NULL) {
	temp2 = object;
	object = temp1;
    }
    printf("parent : %s\n", OBJECT_NAME(temp2));
    return temp2;
}

void GUI_avbrytdo(SUIT_object object)
{
    object = GUI_get_root_child(object);
    SUIT_setBoolean(object, VISIBLE, FALSE);
}

static void GUI_toggle_visible(SUIT_object object)
{
    SUIT_setBoolean(listBB, VISIBLE, FALSE);
    SUIT_setBoolean(skrivBB, VISIBLE, FALSE);
    SUIT_setBoolean(userlistBB, VISIBLE, FALSE);
    SUIT_setBoolean(object, VISIBLE, TRUE);
}

static void GUI_create_help_win(void)
{
    char helptext[] = "Default hjlp";

    helpBB = SUIT_createBulletinBoard("Hjlp");
    helptxt = SUIT_createTextBox("Frsta Hjlpen", helptext);
    helpokbutton = SUIT_createButton("Uppfattat", GUI_helpdo);
    SUIT_addChildToObject(helpBB, helptxt);
    SUIT_addChildToObject(helpBB, helpokbutton);
}

void GUI_movilkado(SUIT_object object)
{
    char *tempname;
    int i;
    static flag = FALSE;

    if(flag == TRUE) {
	lyx_who_is_on_free(&anvlista);
    }
    flag = TRUE;
    lyx_who_is_on(&anvlista);
    for(i=0; i<anvlista.no_of_users; i++) {
	tempname = GUI_parse_at(anvlista.name[i]);
	free(anvlista.name[i]);
	anvlista.name[i] = tempname;
	tempname = GUI_parse_at(anvlista.conference[i]);
	free(anvlista.conference[i]);
	anvlista.conference[i] = tempname;
	tempname = GUI_parse_at(anvlista.doing[i]);
	free(anvlista.doing[i]);
	anvlista.doing[i] = tempname;
    }
    SUIT_setTextList(userlistlist, LIST, SUIT_defTextList(anvlista.name, anvlista.no_of_users));

    GUI_toggle_visible(userlistBB);
}

void GUI_molado(SUIT_object object)
{
    GUI_error("Ej implementerat!", 0);
    GUI_toggle_visible(userlistBB);
}

void GUI_mlasdo(SUIT_object object)
{
    SUIT_setBoolean(lasBB, VISIBLE, TRUE);
}

void GUI_mavbrytdo(SUIT_object object)
{
#ifndef INSTALL
    starthide();
    SUIT_setBoolean(loginBB, VISIBLE, TRUE);
    SUIT_done(SUIT_askYesNo("Save .sui?") == REPLY_YES ? SAVE_SUI_FILE : DO_NOT_SAVE_SUI_FILE , EXIT_APPLICATION);
#else
    if(SUIT_askOKCancel("OK att avsluta LyXKom?") == REPLY_OK)
      exit(0);
#endif
}

static void createMainOvrigt(void)
{
    mainovrigt = SUIT_createPullDownMenu("vrigt");
    MOvilka = SUIT_addToMenu(mainovrigt, "Vilka inloggade", GUI_movilkado);
    MOla = SUIT_addToMenu(mainovrigt, "Lista Anvndare", GUI_molado);
}

static void GUI_create_main_win(void)
{
    mainBB = SUIT_createBulletinBoard("MainWin");
    mainstack = SUIT_createStacker("Main Stacker");
    mainlas = SUIT_createButton("Ls", GUI_mlasdo);
    createMainOvrigt();
    mainavbryt = SUIT_createButton("Avbryt", GUI_mavbrytdo);
    mainhelp = SUIT_createButton("Hjlp!", GUI_helpdo);
    SUIT_addChildToObject(mainstack, mainovrigt);
    SUIT_addChildToObject(mainstack, mainlas);
    SUIT_addChildToObject(mainstack, mainavbryt);
    SUIT_addChildToObject(mainstack, mainhelp);
    SUIT_addChildToObject(mainBB, mainstack);
}

void GUI_lnasdo(SUIT_object object)
{
    GUI_error("Ej implementerat!", 0);
}

void GUI_lfordo(SUIT_object object)
{
    GUI_error("Ej implementerat!", 0);
}

void GUI_lssvarado(SUIT_object object)
{
    GUI_toggle_visible(skrivBB);
}

void GUI_lsnyttdo(SUIT_object onject)
{
    GUI_toggle_visible(skrivBB);
}

void GUI_lavbdo(SUIT_object object)
{
    SUIT_setBoolean(lasBB, VISIBLE, FALSE);
}

void GUI_leditdo(SUIT_object object)
{
    GUI_error("Ej implementerat!", 0);
}

void GUI_llminado(SUIT_object object)
{
    GUI_error("Ej implementerat!", 0);
    stdstrlist[2] = "Mina";
    SUIT_setTextList(listlist, LIST, SUIT_defTextList(stdstrlist, 3));
    GUI_toggle_visible(listBB);
}

void GUI_llnyado(SUIT_object object)
{
    GUI_error("Ej implementerat!", 0);
    stdstrlist[2] = "Nya";
    SUIT_setTextList(listlist, LIST, SUIT_defTextList(stdstrlist, 3));
    GUI_toggle_visible(listBB);
}

void GUI_llallado(SUIT_object object)
{
    GUI_error("Ej implementerat!", 0);
    stdstrlist[2] = "Alla";
    SUIT_setTextList(listlist, LIST, SUIT_defTextList(stdstrlist, 3));
    GUI_toggle_visible(listBB);
}

void GUI_llnyheterdo(SUIT_object object)
{
    GUI_error("Ej implementerat!", 0);
    stdstrlist[2] = "Nyhet";
    SUIT_setTextList(listlist, LIST, SUIT_defTextList(stdstrlist, 3));
    GUI_toggle_visible(listBB);
}

void GUI_langdo(SUIT_object object)
{
    char txtnumber[11] = "Hej DU!", wintxt[50] = "Ange text-nummer:";
    int textnr;
    Reply svar;

    do {
	svar = SUIT_getString(wintxt, "", txtnumber, 10);
	textnr = atoi(txtnumber);
	if(textnr != 0 && svar == REPLY_OK) {
	    GUI_error("Ej implementerat!", 0);
	}
	strcpy(wintxt, "Du mste ange ett heltal!");
    } while(textnr == 0 && svar != REPLY_CANCEL);
}

static void GUI_create_read_win(void)
{
    lasBB = SUIT_createBulletinBoard("LsWin");
    laseditor = SUIT_createTextEditorWithScrollBar("Lsfnster", GUI_leditdo);
    lasstack = SUIT_createStacker("Ls Stacker");
    laslimo = SUIT_createPullDownMenu("Lista mte");
    LLnyhet = SUIT_addToMenu(laslimo, "Nyheter", GUI_llnyheterdo);
    LLmina = SUIT_addToMenu(laslimo, "Mina", GUI_llminado);
    LLnya = SUIT_addToMenu(laslimo, "Nya", GUI_llnyado);
    LLalla = SUIT_addToMenu(laslimo, "Alla", GUI_llallado);
    lasnasta = SUIT_createButton("Nsta text", GUI_lnasdo);
    lasforra = SUIT_createButton("Fregende text", GUI_lfordo);
    lasang = SUIT_createButton("Ls angiven text", GUI_langdo);
    lasskriv = SUIT_createPullDownMenu("Skriv");
    LSsvara = SUIT_addToMenu(lasskriv, "Svara", GUI_lssvarado);
    LSnytt = SUIT_addToMenu(lasskriv, "Frfatta", GUI_lsnyttdo);
    lasavbryt = SUIT_createButton("Avbryt lsning", GUI_avbrytdo);
    lashelp = SUIT_createButton("Hjlp med ls", GUI_helpdo);
    SUIT_setBoolean(laseditor, READ_ONLY, TRUE);
    SUIT_addChildToObject(lasstack, laslimo);
    SUIT_addChildToObject(lasstack, lasnasta);
    SUIT_addChildToObject(lasstack, lasforra);
    SUIT_addChildToObject(lasstack, lasang);
    SUIT_addChildToObject(lasstack, lasskriv);
    SUIT_addChildToObject(lasstack, lasavbryt);
    SUIT_addChildToObject(lasstack, lashelp);
    SUIT_addChildToObject(lasBB, lasstack);
    SUIT_addChildToObject(lasBB, SUIT_name("Lsfnster"));
}

void GUI_liavbrytdo(SUIT_object object)
{
    SUIT_setBoolean(listBB, VISIBLE, FALSE);
}

void GUI_lilistdo(SUIT_object object)
{
    GUI_error("Ej implemterat!", 0);
}

void GUI_liradiodo(SUIT_object object)
{
    char *text = NULL;

    text = SUIT_getEnumString(object, CURRENT_VALUE);
    if(strcmp(text, "G till") == 0)
      text = "Ange mte att g till";
    else if(strcmp(text, "Status") == 0)
      text = "Ange mte att ta status p";
    else if(strcmp(text, "Medlem") == 0)
      text = "Ange mte att g med i";
    else if(strcmp(text, "Ta bort") == 0)
      text = "Ange mte att g ur";
    else
      text = "Intern fel!";
    SUIT_setText(listlabel, LABEL, text);
}

static void GUI_create_list_win(void)
{
    listBB = SUIT_createBulletinBoard("Listfnster");
    liststack = SUIT_createStacker("List stacker");
    listradio = SUIT_createRadioButtons("ListRadio", GUI_liradiodo);
    listlist = SUIT_createScrollableList("Mteslista", GUI_lilistdo);
    SUIT_addButtonToRadioButtons(listradio, "G till");
    SUIT_addButtonToRadioButtons(listradio, "Status");
    SUIT_addButtonToRadioButtons(listradio, "Medlem");
    SUIT_addButtonToRadioButtons(listradio, "Ta bort");
    listlabel = SUIT_createLabel("Vlj mte/handling");
    listavbryt = SUIT_createButton("Avbryt lista", GUI_avbrytdo);
    listhelp = SUIT_createButton("Hjlp med lista", GUI_helpdo);
    SUIT_addChildToObject(liststack, listradio);
    SUIT_addChildToObject(liststack, listavbryt);
    SUIT_addChildToObject(liststack, listhelp);
    SUIT_addChildToObject(listBB, liststack);
    SUIT_addChildToObject(listBB, listlist);
    SUIT_addChildToObject(listBB, listlabel);
    SUIT_pressThisRadioButton(listradio, "G till");
}

void GUI_sklardo(SUIT_object object)
{
    GUI_error("Ej implementerat!", 0);
    SUIT_sendToEditor(skrivedit, "");
}

void GUI_savbrytdo(SUIT_object object)
{
    SUIT_setBoolean(skrivBB, VISIBLE, FALSE);
}

void GUI_seditdo(SUIT_object object)
{
    GUI_error("Ej implementerat!", 0);
    SUIT_setText(skrivedit, CURRENT_VALUE, " testing\n testing");
}

static void GUI_create_write_win(void)
{
    skrivBB = SUIT_createBulletinBoard("SkrivFnster");
    skrivstack = SUIT_createStacker("Skrivstack");
    skrivedit = SUIT_createTextEditorWithScrollBar("SkrivEditor", GUI_seditdo);
    skrivklar = SUIT_createButton("Klar", GUI_sklardo);
    skrivavbryt = SUIT_createButton("Avbryt skriv", GUI_avbrytdo);
    skrivhelp = SUIT_createButton("Hjlp med Skriv", GUI_helpdo);
    SUIT_addChildToObject(skrivstack, skrivklar);
    SUIT_addChildToObject(skrivstack, skrivavbryt);
    SUIT_addChildToObject(skrivstack, skrivhelp);
    SUIT_addChildToObject(skrivBB, skrivstack);
    SUIT_addChildToObject(skrivBB, SUIT_name("SkrivEditor"));
}

void GUI_logindo(SUIT_object object)
{
    static char passwd[65] = "";
    static int lastlength = 0;

    char *tempstrptr;
    int place, length, loginresult;
    SUIT_event ev;

    if(object == loginpswinm) {
	place = SUIT_getInteger(object, CURSOR_INDEX);
	tempstrptr = SUIT_getText(object, CURRENT_VALUE);
	length = strlen(tempstrptr);
	if(length == lastlength) {
	} else if(length > lastlength) {
	    strcat(passwd, tempstrptr+length-1);
	    tempstrptr[length-1] = '*';
	} else if(length < lastlength) {
	    if(place == length) {
		passwd[lastlength-1] = 0;
	    } else {
		passwd[0] = 0;
		tempstrptr[0] = 0;
		length = 0;
	    }
	}
	lastlength = length;
    } else if(object == loginokbutton) {
	loginresult = lyx_login(SUIT_getText(loginservinm, CURRENT_VALUE), SUIT_getText(loginnamninm, CURRENT_VALUE), passwd);
	switch(loginresult) {
	  case LOGIN_OK:
	    break;
	  case NO_SERVER:
	    GUI_error("Kan inte finna server!", 0);
	    return;
	  case NAME_NOT_FOUND:
	    GUI_error("Ingen anvndare med det namnet!", 0);
	    return;
	  case MORE_THAN_ONE_NAME_FOUND:
	    GUI_error("Var mer specifik! Mer n en anvndare med givet namn.", 0);
	    return;
	  case BAD_PASSWORD:
	    GUI_error("Felaktigt lsenord!", 0);
	    passwd[0] = 0;
	    tempstrptr[0] = 0;
	    length = 0;
	    return;
	  default:
	    GUI_error("Intern fel!", 0);
	    return;
	}
	SUIT_setBoolean(loginBB, VISIBLE, FALSE);
	SUIT_setBoolean(mainBB, VISIBLE, TRUE);
    }
}

static void GUI_create_login_win(void)
{
    SUIT_object loginservtxt, loginnamntxt, loginpswtxt, loginavbrytbutton;

    loginBB = SUIT_createBulletinBoard("LoginFnster");
    loginservtxt = SUIT_createLabel("Vilken server?");
    loginservinm = SUIT_createTypeInBox("ServerName", GUI_logindo);
    loginnamntxt = SUIT_createLabel("Ditt LysKOM-namn?");
    loginnamninm = SUIT_createTypeInBox("LoginName", GUI_logindo);
    loginpswtxt = SUIT_createLabel("Ditt LysKOM-password?");
    loginpswinm = SUIT_createTypeInBox("PswName", GUI_logindo);
    loginhelp = SUIT_createButton("Hjlp med login", GUI_helpdo);
    loginokbutton = SUIT_createButton("Logga in", GUI_logindo);
    loginavbrytbutton = SUIT_createButton("Avbryt inloggning", GUI_mavbrytdo);
    SUIT_addChildToObject(loginBB, loginavbrytbutton);
    SUIT_addChildToObject(loginBB, loginservtxt);
    SUIT_addChildToObject(loginBB, loginservinm);
    SUIT_addChildToObject(loginBB, loginnamntxt);
    SUIT_addChildToObject(loginBB, loginnamninm);
    SUIT_addChildToObject(loginBB, loginpswtxt);
    SUIT_addChildToObject(loginBB, loginpswinm);
    SUIT_addChildToObject(loginBB, loginhelp);
    SUIT_addChildToObject(loginBB, loginokbutton);

    /* To hide the password. */
    SUIT_setBoolean(loginpswinm, ANY_KEYSTROKE_TRIGGERS, TRUE);
}

void GUI_userlistlistdo(SUIT_object object)
{
    int choice;
    char TextBuffer[300];

    choice = SUIT_getInteger(object, CURRENT_ROW);
    if(choice < 0)
      GUI_error("Inget val!", 0);
    else {
	sprintf(TextBuffer, "%d. %s,\n@bold(r i:)\n%s,\n@bold(och gr:)\n%s", anvlista.number[choice], anvlista.name[choice], anvlista.conference[choice], anvlista.doing[choice]);
	SUIT_setText(userlistinfo, LABEL, TextBuffer);
    }
}

void GUI_userstatdo(SUIT_object object)
{
    lyx_status_user_return userstat;
    char TextBuffer[300], *parsedhost, tottime[30];
    int choice, timebuff[4];
    
    choice = SUIT_getInteger(userlistlist, CURRENT_ROW);
    lyx_status_user(anvlista.number[choice], &userstat);
    parsedhost = GUI_parse_at(userstat.host);
    free(userstat.host);
    userstat.host = parsedhost;
    if(choice < 0)
      GUI_error("Inget val!", 0);
    else {
	timebuff[0] = userstat.total_time;
	timebuff[1] = userstat.total_time % (3600*24);
	timebuff[2] = userstat.total_time % (3600);
        timebuff[3] = userstat.total_time % 60;

	sprintf(tottime, "%d dygn, %02d:%02d:%02d", timebuff[0]/(3600*24), timebuff[1]/3600, timebuff[2]/60, timebuff[3]);
	sprintf(TextBuffer, "@bold(Detaljerad anvndarinformation)\n@bold(Hemma-maskin:)%s\n@bold(Frsta inloggning:) %s, %s\n@bold(Senaste inloggning:) %s, %s\n@bold(Nrvarotid:) %s\n@bold(Skrivna meddelanden:) %d", parsedhost, userstat.first_login_date, userstat.first_login_time, userstat.last_login_date, userstat.last_login_time, tottime, userstat.num_written_messages);
	SUIT_setText(userlistinfo, LABEL, TextBuffer);
    }
}



static void GUI_create_userlist_win(void)
{
    char nulltext[] = "";
    SUIT_object userlistavbrbutton, userliststatbutton;

    userlistBB = SUIT_createBulletinBoard("UserListFnster");
    userlistlist = SUIT_createScrollableList("Username-list", GUI_userlistlistdo);
    userlistavbrbutton = SUIT_createButton("Avbryt anvndar-listning", GUI_avbrytdo);
    userliststatbutton = SUIT_createButton("Status anvndare", GUI_userstatdo);
    userlisthelp = SUIT_createButton("Hjlp med anvndar-listning", GUI_helpdo);
    userlistinfo = SUIT_createTextBox("UserInfo", nulltext);
    SUIT_addChildToObject(userlistBB, userlistlist);
    SUIT_addChildToObject(userlistBB, userlistavbrbutton);
    SUIT_addChildToObject(userlistBB, userliststatbutton);
    SUIT_addChildToObject(userlistBB, userlisthelp);
    SUIT_addChildToObject(userlistBB, userlistinfo);
}

static void createall(void)
{
    GUI_create_login_win();
    GUI_create_main_win();
    GUI_create_read_win();
    GUI_create_list_win();
    GUI_create_write_win();
    GUI_create_help_win();
    GUI_create_userlist_win();
}

static void starthide(void)
{
    SUIT_setBoolean(userlistBB, VISIBLE, FALSE);
    SUIT_setBoolean(mainBB, VISIBLE, FALSE);
    SUIT_setBoolean(helpBB, VISIBLE, FALSE);
    SUIT_setBoolean(lasBB, VISIBLE, FALSE);
    SUIT_setBoolean(listBB, VISIBLE, FALSE);
    SUIT_setBoolean(skrivBB, VISIBLE, FALSE);
}

static void asynk(int count)
{
    char text[30];

    sprintf(text, "%d", count);
    SUIT_setText(mainaslabel, LABEL, text);
}

void main(int argc, char *argv[])
{
    int counter = 0;

    lyx_init();
#ifdef INSTALL
    SUIT_initFromCode(argv[0]);
#else
    SUIT_init(argv[0]);
#endif
    createall();
    starthide();
    SUIT_beginDisplay();
    SUIT_beginStandardApplication();
}
