/* gui_help.c Functions concerning the help window in LyXKom. */
/* version 0.5 */

#include <suit.h>
#include <lyxkom.h>
#include <gui_protos.h>


/* Hjlpobject */
SUIT_object helpBB, helptxt, helpokbutton;

extern SUIT_object dbhelp, loginhelp, mainhelp, lashelp, listhelp, skrivhelp, userlisthelp, MOinfo;

/* Callbackfunktion for _all_ helpbuttons in the GUI shell. */

void GUI_helpdo(SUIT_object object)
{
    char *text = NULL;
    static SUIT_object innan = NULL;

    if(object == mainhelp)
      text = "@bold(- HJLP TILL HUVUDFNSTRET -)\n@bold(===============================)\n\n@bold(vrigt) - Meny med fljande innehll:\n@italic(Om LyXkom) - Information om programmet\n@italic(Vilka inloggade) - Lista alla som anvnder LysKOM fr tillfllet.\n@italic(Lista anvndare) - Lista anvndare, som har konto i LysKOM, enligt skstrng. Tryck [Return] eller klicka OK fr att lista alla. Att lista alla kan dock ta ett tag.\n@bold(Ls) - Brja lsa texter. Lsfnstret ppnas. Detta lsfnster ger sedan tillgng till \"Lista mten\"-fnstret och \"Skriv\"-fnstret.\n@bold(Avsluta) - G ur programmet.\n";
    else if(object == lashelp)
      text = "@bold(- HJLP TILL LSFNSTRET -)\n@bold(===========================)\n\n@bold(Nsta text) - Ls nsta text.\n@bold(Ls angiven text) - Sk efter en text med visst textnummer.\n@bold(Fregende text) - Visa fregende text i aktuellt mte.\n@bold(Ls endast antal) - Mata in hur mnga av de senaste texterna du vill lsa.\n@bold(Avbryt lsning) - Stng lsfnstret.\n@bold(Lista mte) - Meny med fljande innehll:\n@italic(Sk) - Lista mten enligt skstrng. Tryck <Return> eller klicka p OK fr alla mten.\n@italic(Mina) - Lista alla mten du r medlem i.\n@italic(Nyheter) - Lista alla mten med nya meddelanden i.\n@bold(Skriv) - Meny med fljande innehll:\n@italic(Svara) - Svara p meddelande (kommentera text).\n@italic(Skriv ny) - Skriv nytt meddelande, du fr mata in rende efter att du valt denna funktion.\n\n@bold(Allmnt) - Du kan g uppt och nert i texten genom att trycka p piltangenterna om du inte vill anvnda scrollbaren. Du kan ven trycka Ctrl-v fr att blddra en sida nert i texten och Esc-v fr att g uppt.\n";
    else if(object == skrivhelp)
      text = "@bold(- HJLP TILL SKRIVFNSTRET -)\n@bold(==============================)\n\n@bold(Klar) - Klicka p denna nr du har skrivit klart och vill snda in din text. Om du har svarat p en text slcks skrivfnstret, men om du har valt att skriva nytt inlgg s medddelas att texten r snd och drefter tms editorn s att du kan skriva fler inlgg direkt.\n@bold(Avbryt skriv) - Slcker skrivfnstret utan att snda in eventuell text i editorn. Anvnd denna funktion om du ngrar dig och inte vill snda inlgget istllet fr att klicka p \"Klar\".\n\n@bold(Allmnt) - Fr att skriva en text (oavsett ny text eller svar) s placera muspekaren ver skrivytan och skriv.\nI denna editor kan du flytta markren med piltangenterna och de flesta Emacs-kommandona fr att flytta sig i texten fungerar, Ctrl-a fr att g till brjan av aktuell rad och Ctrl-e fr att g till slutet av raden r ngra anvndbara funktioner. Ctrl-d raderar tecknet framfr markren ock Ctrl-k raderar allt p raden efter markren.\n";
    else if(object == listhelp)
      text = "@bold(- HJLP TILL MTESFNSTRET -)\n@bold(==============================)\n\n@bold(G till) - Denna funktion anvnds fr att g till ett mte som finns listat i fnstret intill. Vlj frst \"G till\" och klicka sedan p mtet i listan. Observera att du mste vara medlem i mtet du vill g till.\n@bold(Status) - Denna funktion visar olika information om ett mte. Nr fnstret med mten frst ppnas r funktionen \"Status\" redan markerad, du kan allts klicka p ett mte fr att f information.\n@bold(Bli medlem i) - Anvnds fr att bli medlem i mte. Du mste vara medlem i ett mte om du ska kunna lsa och skriva inlgg i det. Klicka p mtet du vill bli medlem i, efter att du har markerat \"Bli medlem i\". Nr du r medlem i ett mte markeras detta med en stjrna i listan framfr mtet.\n@bold(Uttrd ur) - Vlj denna funktion om du inte vill vara medlem i ett mte lngre. Stjrnan framfr mtesnamnet, som markerar medlemskap, frsvinner nr du klickar p ett mte med funktionen \"Uttrd ur\"\n\n@bold(Avbryt lista) - Detta slcker fnstret.\n";
    else if(object == loginhelp)
      text = "@bold(- HJLP TILL LOGINFNSTRET -)\n@bold(==============================)\n\n@bold(Logga in) - Denna klickar du p nr du har fyllt i alla flten.\n@bold(Avbryt inloggning) - Avslutar LyXkom.\n\n@bold(Till alla nybrjare!) - Om du aldrig har krt konferenssystemet LysKOM frut s har du ingen anvndare registrerad. Du fyller d i ditt namn i angivet flt, och ditt personliga lsenord i fltet fr LysKOM-password. Sedan klickar du p \"Logga in\". D ppnas ett litet fnster som frgar om du verkligen vill registrera en ny anvndare. Klicka p \"Registrera\", d ppnas ett nytt fnster dr du fr bekrfta lsenord. Fr mera hjlp om detta se hjlptext i det nya fnstret som ppnas.\n\n@bold(Allmnt) - Placera muspekaren ver textinmatningsflten fr att mata in text. Det hjlper allts inte att trycka [Return] fr att hoppa frn en rad till en annan. Om du matar in fel anvndarnamn s kommer du bli tillfrgad om du vill registrera ny anvndare, klicka d p \"ngra\" fr att mata in igen.\n\n@bold(Observera!) - Fltet med server behver som oftast inte ndras, om du skulle f problem frsk senare eller kontakta ngon systemansvarig.\n";
    else if(object == userlisthelp)
      text = "@bold(- HJLP TILL ANVNDARFNSTRET -)\n@bold(==================================)\n\n@bold(Status anvndare) - Visa status fr en anvndare. Klicka frst p en anvndare i listan och vlj sedan \"Status anvndare\".\n@bold(Avbryt anvndar-listning) - Stng fnstret.\n\n";
    else if(object == dbhelp)
      text = "@bold(- HJLP TILL REGISTRERAFNSTRET -)\n@bold(====================================)\n\n@bold(Registrera) - Denna klickar du p nr du har verifierat ditt lsenord.\n@bold(Avbryt registrering) - Avbryter registrering av ny anvndare.\n\n\n@bold(Allmnt) - Om du anger felaktigt lsenord s kommer du tillbaka till loginfnstret.\n";
    else if(object == MOinfo)
      text = "@bold(- Om LyXkom -)\n@bold(=============)\n\n@bold(LyXkom version 1.0 - 1993-05-19)\n\nLyXkom r skrivet av:\n\n@bold(Hkan Etzell)\n@bold(Anders Johansson)\n@bold(Jan Romell)\n@bold(Johan Tufvesson)\n@bold(John Valgren)\n\nDataingenjrsteknologer studerande vid LiTH, Linkping.\n\nLyXkom r en klient till konferenssystemet @bold(LysKOM), vilket r skrivet av medlemmar i datorfreningen Lysator, LiTH, Linkping.\n\n\n\n@bold(Ha en bra dag!)\n";
    else if(object == helpokbutton) {
	SUIT_setBoolean(helpBB, VISIBLE, FALSE);
	innan = NULL;
	return;
    }
    else
      GUI_error("Help:Intern fel!", 5);
    SUIT_setText(helptxt, LABEL, text);
    if(object == innan || innan == NULL) {
        /* Toggle the help window */
	SUIT_setBoolean(helpBB, VISIBLE, !SUIT_getBoolean(helpBB, VISIBLE));
	if(object == innan) {
	    innan = NULL;
	    return;
	}
    }
    innan = object;
}  

/* Function to create and setup the help window */

void GUI_create_help_win(void)
{
    char helptext[] = "Vlj en hjlpknapp.";

    helpBB = SUIT_createBulletinBoard("Hjlp");
    helptxt = SUIT_createTextBox("Frsta Hjlpen", helptext);
    helpokbutton = SUIT_createButton("Uppfattat", GUI_helpdo);
    SUIT_addChildToObject(helpBB, helptxt);
    SUIT_addChildToObject(helpBB, helpokbutton);
}


