/* gui_main.c Functions concerning the main window and setup in LyXKom. */
/* version 0.5 */

#include <stdio.h>
#include <suit.h>
#include <lyxkom.h>
#include <gui_protos.h>
#include "install.h"

/* Global for whole LyXKom */

int user_id;
int curr_conf;
int last_text;

/* Main-fnstrets objects */
SUIT_object mainovrigt, MOvilka, MOla, mainBB, mainlas, mainavbryt, mainhelp, klocka, mainstack, mainaslabel, MOinfo;

/* Used to store information on people logged in */
lyx_who_is_on_return anvlista;

extern SUIT_object dbcheckBB, userlistBB, lasBB, loginBB, helpBB, listBB, skrivBB, userlistlist;

static void starthide(void );

/* Callback for "login/avbryt" and "main/avbryt", exits LyXKom */

void GUI_mavbrytdo(SUIT_object object)
{
#ifndef INSTALL
    starthide();
    SUIT_setBoolean(loginBB, VISIBLE, TRUE);
    SUIT_done(SUIT_askYesNo("Save .sui?") == REPLY_YES ? SAVE_SUI_FILE : DO_NOT_SAVE_SUI_FILE , EXIT_APPLICATION);
#else
    if(SUIT_askOKCancel("OK att avsluta LyXkom?") == REPLY_OK)
      exit(0);
#endif
}

/* Function to create and setup the main window */

static void GUI_create_main_win(void)
{
    mainBB = SUIT_createBulletinBoard("MainWin");
    mainstack = SUIT_createStacker("Main Stacker");
    mainlas = SUIT_createButton("Ls", GUI_mlasdo);
    mainovrigt = SUIT_createPullDownMenu("vrigt ->");
    MOvilka = SUIT_addToMenu(mainovrigt, "Vilka inloggade", GUI_movilkado);
    MOla = SUIT_addToMenu(mainovrigt, "Lista anvndare", GUI_molado);
    MOinfo = SUIT_addToMenu(mainovrigt, "Om LyXkom", GUI_helpdo);
    mainavbryt = SUIT_createButton("Avbryt", GUI_mavbrytdo);
    mainhelp = SUIT_createButton("Hjlp!", GUI_helpdo);
    SUIT_addChildToObject(mainstack, mainovrigt);
    SUIT_addChildToObject(mainstack, mainlas);
    SUIT_addChildToObject(mainstack, mainavbryt);
    SUIT_addChildToObject(mainstack, mainhelp);
    SUIT_addChildToObject(mainBB, mainstack);
}

/* Function to create and setup all windows */

static void createall(void)
{
    GUI_create_login_win();
    GUI_create_main_win();
    GUI_create_read_win();
    GUI_create_list_win();
    GUI_create_write_win();
    GUI_create_help_win();
    GUI_create_userlist_win();
    GUI_create_dbcheck_win();
}

/* Function to hide all windows except login */

static void starthide(void)
{
    SUIT_setBoolean(userlistBB, VISIBLE, FALSE);
    SUIT_setBoolean(mainBB, VISIBLE, FALSE);
    SUIT_setBoolean(helpBB, VISIBLE, FALSE);
    SUIT_setBoolean(lasBB, VISIBLE, FALSE);
    SUIT_setBoolean(listBB, VISIBLE, FALSE);
    SUIT_setBoolean(skrivBB, VISIBLE, FALSE);
    SUIT_setBoolean(dbcheckBB, VISIBLE, FALSE);
}

/* LyXkoms main() (!). Initializes SUIT */

void main(int argc, char *argv[])
{
    lyx_init();
#ifdef INSTALL
    SUIT_initFromCode(argv[0]);
#else
    SUIT_init(argv[0]);
#endif
    createall();
    starthide();
    SUIT_beginDisplay();
    SUIT_beginStandardApplication();
}


