/* gui_read.c   Functions concerning the read-window in LyXKom */
/* Probably _very_ buggy (read memory-leaking) */
/* version 0.6 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <suit.h>
#include <lyxkom.h>
#include <gui_protos.h>
#include <lyx_protos.h>
#include <stack.h>
#include <stack_protos.h>
#include <lyxkom_global.h>

/* The objects of the read window*/
SUIT_object lasang, LLnya, LLmina, LLalla, lasBB, lasstack, laslimo, lasnasta, lasforra, lasskriv, lasavbryt, lashelp, LSsvara, LSnytt, laseditor, lasvar;

lyx_get_text_return textreturn;
Headerptr oldstack = NULL, newstack = NULL;
enum read_direction {FORWARD, BACKWARD} direction = FORWARD;

void GUI_lnasdo(SUIT_object );

/* To push a lyx_get_text_return type message structure onto a stack */

void GUI_push_text(lyx_get_text_return *stackobj, Headerptr stack)
{
    struct message_info *mesptr = &stackobj->type.message;
    
    push(mesptr->author, strlen(mesptr->author)+1, stack);
    push(mesptr->is_comment_auth, strlen(mesptr->is_comment_auth)+1, stack);
    push(mesptr->date, strlen(mesptr->date)+1, stack);
    push(mesptr->time, strlen(mesptr->time)+1, stack);
    push(mesptr->text, strlen(mesptr->text)+1, stack);
    push(stackobj, sizeof(lyx_get_text_return), stack);
}

/* To pop a lyx_get_text_return type message structure from a stack */

lyx_get_text_return *GUI_pop_text(Headerptr stack)
{
    struct message_info *mesptr;
    lyx_get_text_return *returninfo;
    
    returninfo = pop(stack);
    mesptr = &returninfo->type.message;
    mesptr->text = pop(stack);
    mesptr->time = pop(stack);
    mesptr->date = pop(stack);
    mesptr->is_comment_auth = pop(stack);
    mesptr->author = pop(stack);

    return returninfo;
}

/* Formats the text in a proper way, with all the information at the top */

char *GUI_make_text(lyx_get_text_return *textans)
{
    char *msgptr, *tmpptr;
    struct message_info *shortcut = &textans->type.message;

    if((msgptr = (char *) malloc(strlen(shortcut->text) + 400)) == NULL)
      GUI_error("GUI_make_text: No memory!", 0);
    if((tmpptr = (char *) malloc(200)) == NULL)
      GUI_error("GUI_make_text: No memory!", 0);
    sprintf(msgptr, "Meddelande %d, skrivet av %s, %d rader\n",
	    shortcut->message_no, shortcut->author, shortcut->no_of_lines);
    if(shortcut->is_comment_no != 0) {
	sprintf(tmpptr, "Kommenterar text: %d, skriven av %s\n", shortcut->is_comment_no,
		shortcut->is_comment_auth);
	strcat(msgptr, tmpptr);
    }
    sprintf(tmpptr, "Antal kommentarer till denna text: %d, Meddelandet skrivet: %s, %s\nrende: ", shortcut->num_comments, shortcut->date, shortcut->time);
    strcat(msgptr, tmpptr);
    strcat(msgptr, shortcut->text);
    free(tmpptr);
    return msgptr;
}

/* Prints out the text in the texteditor in a proper way, and informs the user about
    "goto next meeting" and "no more texts" */

void GUI_get_text(lyx_get_text_return *textans)
{
    char *meetbuf;

    if((meetbuf = (char *) malloc(130)) == NULL)
      GUI_error("Kunde inte allokera minne!", 5);
    switch(textans->flags) {
      case NOTHING_LEFT:
	GUI_error("Inga fler olsta texter!", 0);
	SUIT_setText(laseditor, CURRENT_VALUE, "Varfr tar du inte och gr med i lite fler mten?\nEller skriver lite sjlv fr en gngs skull?");
	SUIT_setText(lasvar, LABEL, "");
	break;
      case MESSAGE_RETURN:
	SUIT_setText(laseditor, CURRENT_VALUE, GUI_make_text(textans));
	SUIT_setInteger(laseditor, CURSOR_INDEX, 0);
	break;
      case MEETING_RETURN:
	sprintf(meetbuf, "Du gr nu in i mtet \"%s\", med %d olsta texter.", GUI_parse_at(&(textans->type.meeting.meeting_name)), textans->type.meeting.no_of_unread);
	GUI_error(meetbuf, 0);
	SUIT_setText(lasvar, LABEL, textans->type.meeting.meeting_name);
	destruct(oldstack);
	oldstack = construct();
	destruct(newstack);
	newstack = construct();
	GUI_lnasdo(lasnasta);
	break;
      default:
	GUI_error("Felaktigt returvrde frn lyxfunktion", 0);
    }
}

/* Callback for "main/ls", ppnar lsfnstret */

void GUI_mlasdo(SUIT_object object)
{
    lyx_get_text_return *tmpptr;
    char meetbuff[130];

    if(newstack == NULL)
      newstack = construct();
    if(oldstack == NULL)
      oldstack = construct();
    
    if(empty(newstack) != 0) {
        lyx_get_next_text(&textreturn);
	if(textreturn.flags == MESSAGE_RETURN)
	    GUI_push_text(&textreturn, oldstack);
    } else {
        memcpy(&textreturn, tmpptr = GUI_pop_text(newstack), sizeof(textreturn));
	last_text = textreturn.type.message.message_no;
        free(tmpptr);
    }
    GUI_get_text(&textreturn);
    
    SUIT_setBoolean(lasBB, VISIBLE, TRUE);
}

/* Callback for "ls/endast" */

void GUI_lenddo(SUIT_object object)
{
    char txtnumber[11] = "Hej DU!", wintxt[30] = "Ange antalet texter:";
    int textnr;
    Reply svar;

    if(curr_conf == 0) {
	GUI_error("Du mste g till ett mte frst!", 0);
	return;
    }
    do {
	svar = SUIT_getString(wintxt, "", txtnumber, 10);
	textnr = atoi(txtnumber);
	if(textnr != 0 && svar == REPLY_OK) {
	    lyx_set_unread(curr_conf, textnr);
	    lyx_goto_meeting(curr_conf);
	}
	strcpy(wintxt, "Du mste ange ett heltal!");
    } while(textnr == 0 && svar != REPLY_CANCEL);
}


/* Callback for "ls/nsta" */

void GUI_lnasdo(SUIT_object object)
{
    lyx_get_text_return *tmpptr;
    int i = 1;

    if(empty(newstack) != 0) {
        lyx_get_next_text(&textreturn);
	if(textreturn.flags == MESSAGE_RETURN) {
	    GUI_push_text(&textreturn, oldstack);
	}
    } else {
	if(direction == BACKWARD)
	  i = 2;
	for( ; i>0; i--) {
	    memcpy(&textreturn, tmpptr = GUI_pop_text(newstack), sizeof(textreturn));
	    GUI_push_text(tmpptr, oldstack);
	    free(tmpptr);
	}
	last_text = textreturn.type.message.message_no;
    }
    GUI_get_text(&textreturn);
    direction = FORWARD;
}

/* Callback for "ls/frra" */

void GUI_lfordo(SUIT_object object)
{
    lyx_get_text_return *tmpptr;
    int i = 1;

    if(direction == FORWARD)
      i = 2;
    for( ; i>0; i--) {
	if(empty(oldstack) == 1) {
	    GUI_error("Du mste lsa en text frst!", 0);
	    return;
	}
	memcpy(&textreturn, tmpptr = GUI_pop_text(oldstack), sizeof(textreturn));
	GUI_push_text(tmpptr, newstack);
	free(tmpptr);
	GUI_get_text(&textreturn);
    }
    last_text = textreturn.type.message.message_no;
    direction = BACKWARD;
}

/* Callback for the read window/editor */

void GUI_leditdo(SUIT_object object)
{
}

/* Callback for "ls/angiven". Asks for an integer, and displays the text */

void GUI_langdo(SUIT_object object)
{
    char txtnumber[11] = "Hej DU!", wintxt[30] = "Ange text-nummer:";
    int textnr;
    Reply svar;

    do {
	svar = SUIT_getString(wintxt, "", txtnumber, 10);
	textnr = atoi(txtnumber);
	if(textnr != 0 && svar == REPLY_OK) {
            lyx_get_spec_text(&textreturn, textnr);
            GUI_get_text(&textreturn);
	}
	strcpy(wintxt, "Du mste ange ett heltal!");
    } while(textnr == 0 && svar != REPLY_CANCEL);
}

/* Function to create and setup the read window */

void GUI_create_read_win(void)
{
    SUIT_object lasend;

    lasBB = SUIT_createBulletinBoard("LsWin");
    laseditor = SUIT_createTextEditorWithScrollBar("Lsfnster", GUI_leditdo);
    lasstack = SUIT_createStacker("Ls Stacker");
    laslimo = SUIT_createPullDownMenu("Lista mte ->");
    LLmina = SUIT_addToMenu(laslimo, "Mina", GUI_llminado);
    LLnya = SUIT_addToMenu(laslimo, "Nyheter", GUI_llnyado);
    LLalla = SUIT_addToMenu(laslimo, "Sk", GUI_llallado);
    lasnasta = SUIT_createButton("Nsta text", GUI_lnasdo);
    lasforra = SUIT_createButton("Fregende text", GUI_lfordo);
    lasang = SUIT_createButton("Ls angiven text", GUI_langdo);
    lasskriv = SUIT_createPullDownMenu("Skriv ->");
    LSsvara = SUIT_addToMenu(lasskriv, "Svara", GUI_lssvarado);
    LSnytt = SUIT_addToMenu(lasskriv, "Skriv ny", GUI_lsnyttdo);
    lasavbryt = SUIT_createButton("Avbryt lsning", GUI_avbrytdo);
    lashelp = SUIT_createButton("Hjlp med ls", GUI_helpdo);
    lasend = SUIT_createButton("Ls endast antal", GUI_lenddo);
    lasvar = SUIT_createLabel("Ej i ngot mte");
    SUIT_setBoolean(laseditor, READ_ONLY, TRUE);
    SUIT_addChildToObject(lasstack, laslimo);
    SUIT_addChildToObject(lasstack, lasnasta);
    SUIT_addChildToObject(lasstack, lasforra);
    SUIT_addChildToObject(lasstack, lasang);
    SUIT_addChildToObject(lasstack, lasskriv);
    SUIT_addChildToObject(lasstack, lasavbryt);
    SUIT_addChildToObject(lasstack, lashelp);
    SUIT_addChildToObject(lasstack, lasend);
    SUIT_addChildToObject(lasBB, lasstack);
    SUIT_addChildToObject(lasBB, lasvar);
    SUIT_addChildToObject(lasBB, SUIT_name("Lsfnster"));
}
