#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <lyxerr.h>

#include "stack.h"

/*
 * Returns 1 if stack is empty, 0 if it's not empty
 */

int empty(Headerptr headptr)
{
    return (headptr->last == NULL) ? 1 : 0;
}

Headerptr construct(void)
{
    Headerptr headptr;

    if((headptr = (Headerptr) malloc(sizeof(Header))) == NULL)
        GUI_error("construct: Kunde inte allokera header!", MEMORY_ERROR);
    headptr->memused = 0;
    headptr->last = NULL;
    return (headptr);
}

void destruct(Headerptr headptr)
{
    Nodeptr nodeptr, ptrbuffer;
    
    nodeptr = headptr->last;
    while(nodeptr) {
        ptrbuffer = nodeptr->last;
        free(nodeptr->data);
        free(nodeptr);
        nodeptr = ptrbuffer;
    }
    free(headptr);
}
    
int push(void *data, int size, Headerptr headptr)
{
    Nodeptr nodeptr;
    
    if((nodeptr = (Nodeptr) malloc(sizeof(Node))) == NULL)
        GUI_error("push: Kunde inte allokera node!", MEMORY_ERROR);
    if((nodeptr->data = malloc(size)) == NULL)
        GUI_error("push: Kunde inte allokera data!", MEMORY_ERROR);
    nodeptr->size = size;
    nodeptr->last = headptr->last;
    headptr->last = nodeptr;
    headptr->memused += size;
    memcpy(nodeptr->data, data, size);
    return (1);
}

void *pop(Headerptr headptr)
{
    Nodeptr ptrbuffer;
    void *datbuffer;

    ptrbuffer = headptr->last;
    headptr->memused -= ptrbuffer->size;
    headptr->last = ptrbuffer->last;
    datbuffer = ptrbuffer->data;
    free(ptrbuffer);
    return(datbuffer);
}

void traverse(Headerptr headptr, int (*op) (void *p))
{
    Nodeptr nodeptr = headptr->last;
    
    while (nodeptr = nodeptr->last)
        op(nodeptr->data);
}
