#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <suit.h>
#include <lyxkom.h>
#include <lyx_login.h>
#include <gui_protos.h>
#include <lyxkom_global.h>

void lyx_who_is_on(lyx_who_is_on_return *returlista)
{
    static int num[3] = {6, 10, 1};
    static char *namn[3] = {"tuben", "ajo", "hez"};
    static char *conf[3] = {"svenne", "lotta", "gurka"};
    static char *doi[3] = {"lallar", "sjunger", "nynnar"};

    returlista->no_of_users = 3;
    returlista->number = num;
    returlista->name = namn;
    returlista->conference = conf;
    returlista->doing = doi;
}

int lyx_enter_comment_text(int conf, char *text)
{
    printf("Kommenterar i mte nr %d: \"%s\"", conf, text);
    return 0;
}

void lyx_enter_new_text(int conf, char *text)
{
    printf("Ny text i mtet %d: \"%s\"", conf, text);
}

void lyx_set_unread(int conf, int no)
{
    printf("Mte: %d olsta:%d\n", conf, no);
}

void lyx_list_all_users(lyx_who_is_on_return *returlista)
{
    lyx_who_is_on(returlista);
}

void lyx_subscribe(int nummer)
{
    printf("Subscribe: %d\n", nummer);
}

void lyx_unsubscribe(int nummer)
{
    printf("Unsubscribe: %d\n", nummer);
}

void lyx_create_user(char *namn, char *psw)
{
    printf("create user: %s, %s\n", namn, psw);
}

void lyx_goto_meeting(int nummer)
{
    printf("Goto: %d\n", nummer);
}

void lyx_list_all_users_free(lyx_who_is_on_return *list)
{
    printf("all users friat!\n");
}

int lyx_login(char *ett, char *tvaa, char *tre)
{
    printf("%s  %s  %s\n", ett, tvaa, tre);
    
    if(*tvaa == 'a')
      return NAME_NOT_FOUND;
    return LOGIN_OK;
}

void lyx_init(void)
{
    printf("setup OK!\n");
}

void lyx_who_is_on_free(lyx_who_is_on_return *returlista)
{
    printf("whoison Friat!\n");
}

void lyx_status_user(int person, lyx_status_user_return *returlista)
{
    static char first_login_date[] = "83-05-04", first_login_time[] = "03:04:05", last_login_date[] = "93-05-04", last_login_time[] = "04:05:06";
    int tottid = 50000, wmsg = 123;
    char host[] = "A4000@Skggetorp";

    returlista->host = strcpy((char *) malloc(strlen(host) +1), host);
    returlista->first_login_date = first_login_date;
    returlista->first_login_time = first_login_time;
    returlista->last_login_date = last_login_date;
    returlista->last_login_time = last_login_time;
    returlista->total_time = tottid;
    returlista->num_written_messages = wmsg;
}

void lyx_status_user_free(lyx_status_user_return *returlista)
{
    printf("status user friat!\n");
}

void lyx_list_meetings(char *sstring, lyx_list_meetings_return *list)
{
    char *names[3] = {"mte ett", "mte tv", "mte @3"};
    static int numbs[3] = {123, 234, 345};
    static int unr[3] = {25, 0, -1};

    list->no_of_meetings = 3;
    list->name = (char **) memcpy(malloc(sizeof(names)), names, sizeof(names));
    list->number = numbs;
    list->unread = unr;
    printf("Skvillkor: %s\n", sstring);
}

void lyx_status_meeting(lyx_status_meeting_return *list)
{
    char *creat = "Svenne";
    static char creatdate[] = "1993-05-06";
    static char creattime[] = "15:03:03";
    static char lastdate[] = "1997-04-09";
    static char lasttime[] = "15:19:17";
    
    list->creator = strcpy(malloc(strlen(creat)+100), creat);
    list->create_date = creatdate;
    list->create_time = creattime;
    list->last_written_date = lastdate;
    list->last_written_time = lasttime;
    list->num_members = 55;
    list->num_of_messages = 12345;
    list->meeting_type = MEETING_TYPE_CLOSED;
}

void lyx_list_membership_news(lyx_list_meetings_return *list)
{
    char *names[] = {"mte ett"};
    static int numbs[] = {123};
    static int unr[] = {25};

    list->no_of_meetings = 1;
    list->name = (char **) memcpy(malloc(sizeof(names)), names, sizeof(names));
    list->number = numbs;
    list->unread = unr;
}

void lyx_list_membership_meetings(lyx_list_meetings_return *list)
{
    char *names[] = {"mte ett", "mte tv"};
    static int numbs[] = {123, 234};
    static int unr[3] = {25, 0};

    list->no_of_meetings = 2;
    list->name = (char **) memcpy(malloc(sizeof(names)), names, sizeof(names));
    list->number = numbs;
    list->unread = unr;
}

void lyx_get_spec_text(lyx_get_text_return *list, int num)
{
    static int slump = 0;
    char auth[] = "Lilla@jag", commauth[] = "Lilla@du", txt[] = "Hejsan hoppsan vad\nbra det hr gr...";
    static char date[] = "93-05-08", time[] = "15:00:00";
    char meet[] = "om allt och alla";

    slump++;

    printf("lyx_get_spec_text(%d)\n", slump);
    switch(list->flags = (slump % 6)/2) {
        case NOTHING_LEFT:
            break;
        case MESSAGE_RETURN:
            list->type.message.message_no = rand();
            list->type.message.author = strcpy((char *) malloc(sizeof(auth)), auth);
            list->type.message.no_of_lines = 2;
            list->type.message.is_comment_no = 4567;
            list->type.message.is_comment_auth = strcpy((char *) malloc(sizeof(commauth)), commauth);
            list->type.message.num_comments = 12;
            list->type.message.date = date;
            list->type.message.time = time;
            list->type.message.text = strcpy((char *) malloc(sizeof(txt)), txt);
            break;
        case MEETING_RETURN:
            list->type.meeting.meeting_name = strcpy((char *) malloc(sizeof(meet)), meet);
            list->type.meeting.meeting_no = 567;
            break;
        default:
            GUI_error("stubb: fel type!", 0);
    }
}

void lyx_get_next_text(lyx_get_text_return *list)
{
    lyx_get_spec_text(list, 1);
}

void lyx_get_text_free(lyx_get_text_return *list)
{

    switch(list->flags) {
      case MESSAGE_RETURN:
	free(list->type.message.author);
	free(list->type.message.is_comment_auth);
	free(list->type.message.date);
	free(list->type.message.time);
	free(list->type.message.text);
	printf("Message freed!\n");
	break;
      case MEETING_RETURN:
	free(list->type.meeting.meeting_name);
	printf("Meeting freed!\n");
	break;
      default:
	break;
    }
}
