######################################################################
# Makefile for SUIT applications
######################################################################

# this denotes where the SUIT distribution lives
HOME = /tmp_mnt/auto/kolix2/kurs/projdi/projdi03
SUIT	  =$(HOME)/suit/sparc
XLIBS	  =/usr/local/X11R5/lib
X_INC_DIR =/usr/local/X11R5/include/X11

####################################################
# Hr startar vra egna definitioner av directories
####################################################
LYXKOMHOME = $(HOME)/LyXkom
GUIDIR = $(LYXKOMHOME)/GUI
GUIINCLUDE = -I$(X_INC_DIR) -I$(SUIT)/include -I$(GUIDIR)
LYXDIR = $(LYXKOMHOME)/lyx
LYXKOMINCLUDE = -I$(LYXKOMHOME)/include
KOMLIBS = $(LYXKOMHOME)/lib

####################################################
# Definitioner av filer
####################################################
GUIFILES = $(GUIDIR)/gui_conflist.c $(GUIDIR)/gui_help.c $(GUIDIR)/gui_login.c $(GUIDIR)/gui_main.c $(GUIDIR)/gui_read.c $(GUIDIR)/gui_userlist.c $(GUIDIR)/gui_utils.c $(GUIDIR)/gui_write.c $(GUIDIR)/suit.c $(GUIDIR)/stack.c $(GUIDIR)/lyxstubb.c
LYXFILES = $(LYXDIR)/lyx_login.c $(LYXDIR)/lyx_whoison.c $(LYXDIR)/lyx_status_user.c

####################################################
# Diverse flaggor
####################################################
GUILIBS = -lsuit -lsrgp -lX11 -lm
LYXLIBS = -lclient-sup -llyskom-client -lmisc
LYXLDFLAGS = -L$(KOMLIBS)
GUILDFLAGS = -L$(SUIT)/lib -L$(XLIBS)
CC	=	gcc
LDLIBS	=	$(GUILIBS)
LDFLAGS	=	$(GUILDFLAGS)

#DEBUG	=	-g
OPTIMIZE =	-O2

########################### NOTE ####################################
#
# comment out the -static flag to 
# make dynamically linked executables.
# This will make your programs take up less room on disk.
#
#####################################################################
#STATIC= -static

ALLINCLUDE = $(GUIINCLUDE) $(LYXKOMINCLUDE)

CFLAGS	= $(STATIC)  -fpcc-struct-return $(ALLINCLUDE) $(DEBUG) $(OPTIMIZE)

######################################################################
#Maken fr hela LyXKOM
######################################################################

ALLCFILES = $(GUIFILES)
ALLFILES = $(ALLCFILES:.c=.o)


lyxkom:
	(cd $(GUIDIR); make -f gui.make gui)
	(cd $(LYXDIR); make -f lyx.make lyx)
	$(CC) $(CFLAGS) $(LDFLAGS) -o lyxkom $(ALLFILES) $(LDLIBS)
	

#lyxkom:	$(ALLFILES)
#	$(CC) $(CFLAGS) $(LDFLAGS) -o lyxkom $(ALLFILES) $(LDLIBS)

#lyx:	gui2 kom

#gui2:	$(ALLGUI)
#	$(CC) $(CFLAGS) -c $(LDFLAGS) -o lyxkom $(ALLGUI) $(LDLIBS)

#kom:	$(ALLGUI)
#	$(CC) $(CFLAGS) $(LDFLAGS) $(ALLGUI) $(LDLIBS)

####################################################
#Hr kan ni lgga in egna make-rutiner
####################################################

GUIDBGFILES = gui_conflist.c gui_help.c gui_login.c gui_main.c gui_read.c gui_userlist.c gui_utils.c gui_write.c stack.c stubb.c
#ALLGUIDBGFILES = $(GUIDBGFILES)
ALLGUIDBGFILES = $(GUIDBGFILES:.c=.o)

gui:	$(ALLFILES)
	$(CC) $(CFLAGS) -c $(LDFLAGS) -o gui $(ALLFILES) $(LDLIBS)

glint:
	lint $(ALLINCLUDE) $(LDLIBS) -o guilint gui.c
	


#COMPILE.c=$(CC) $(CFLAGS) $(CPPFLAGS) -c

#empty: empty.o
#	$(CC) $(CFLAGS) $(LDFLAGS) -o empty empty.o $(LDLIBS) 
#	strip empty

#test:	test.c
#	$(CC) $(CFLAGS) $(LDFLAGS) -o test test.c $(LDLIBS)

#insttest:	test.c test.sui
#	$(CC) $(CFLAGS) $(LDFLAGS) -o testin test.c test.sui $(LDLIBS)

#guiper:	gui.c suit.c
#	$(CC) $(CFLAGS) $(LDFLAGS) -o guiperm gui.c suit.c $(LDLIBS)

######################################################################

clean:
	rm -f *.o core empty 



