/* SUIT version 2.3 */

#define THE_SCREEN_WIDTH 1063
#define THE_SCREEN_HEIGHT 855
#define THE_SCREEN_DEPTH 1

#include "suit.h"


/*--------------------------------------------------------------------------------*/
/*                                                                                */
/*                                  NOTE:                                         */
/*                                                                                */
/*    This file contains all the permanent properties of this application's       */
/*    objects and is read in as a data file.  Compiling this file as part of      */
/*    your application "hard codes" your interface.  Please see "shipping"        */
/*    in the SUIT reference manual for further information.                       */
/*                                                                                */
/*                                                                                */
/*                              !! DANGER !!                                      */
/*                                                                                */
/*      This file is machine-generated, and its contents are very important.      */
/*                                                                                */
/*          If you must edit this file, do so with extreme caution!               */
/*                                                                                */
/*                              !! DANGER !!                                      */
/*                                                                                */
/*--------------------------------------------------------------------------------*/


extern void SUIT_interiorInitFromCode (char *programName, SUIT_functionPointer suiRoutine,
                                       int width, int height, int depth);

extern SUIT_type *si_getType(char *typeName);

extern void si_addChildToObject(SUIT_object, SUIT_object, boolean);

static void MAKE (char *name, char *class, char *parent, boolean interactive) 
{ 
    SUIT_object o = SUIT_name(name); 
    SUIT_object p = SUIT_name(parent); 
    if (p != NULL) {
        if (o == NULL) 
            o = SUIT_createObjectByClass(name, class); 
    	if (interactive) {
    	    SUIT_setBoolean (o, INTERACTIVELY_CREATED, TRUE);
    	    SUIT_makePropertyTemporary (o, INTERACTIVELY_CREATED, OBJECT);
    	}
        si_addChildToObject(SUIT_name(parent), o, FALSE); 
    }
} 
 


static void SET (char *objOrClass, char *propertyName, char *propertyType, boolean atClass,
                 boolean locked, char *stringValue) 
{ 
    SUIT_type	*type; 
    boolean	errorStatus; 
    Pointer	retval; 
    SUIT_level level = OBJECT; 
    SUIT_object o; 
     
    if (atClass) 
        level = CLASS; 
    if (level == CLASS) 
        o = SUIT_dummyObjectInClass(objOrClass); 
    else 
        o = SUIT_name(objOrClass); 
    type = si_getType(propertyType); 
    retval = type->convertFromAscii(stringValue, &errorStatus); 
    if (errorStatus == FALSE) 
	SUIT_setProperty(o, propertyName, propertyType, retval, level); 

    if (locked) 
        SUIT_lockProperty(o, propertyName, level); 
}


static void INIT_suiRoutine(void)
{
/* This line is for parsing simplicity -- do NOT remove it!  @ */
MAKE("SkrivFnster","bulletin board","ROOT",0);
MAKE("Skrivstack","stacker","SkrivFnster",0);
MAKE("Klar","button","Skrivstack",0);
MAKE("Avbryt skriv","button","Skrivstack",0);
MAKE("Hjlp med Skriv","button","Skrivstack",0);
MAKE("SkrivEditor","text editor with scrollbar","SkrivFnster",0);
MAKE("SkrivEditor: text editor","text editor","SkrivEditor",0);
MAKE("SkrivEditor: scroll bar","bounded value","SkrivEditor",0);
MAKE("Skriv ->: menu","menu","ROOT",0);
MAKE("Svara","button","Skriv ->: menu",0);
MAKE("Skriv ny","button","Skriv ->: menu",0);
MAKE("Lista mte ->: menu","menu","ROOT",0);
MAKE("Mina","button","Lista mte ->: menu",0);
MAKE("Nyheter","button","Lista mte ->: menu",0);
MAKE("Sk","button","Lista mte ->: menu",0);
MAKE("UserListFnster","bulletin board","ROOT",0);
MAKE("Hjlp med anvndar-listning","button","UserListFnster",0);
MAKE("Avbryt anvndar-listning","button","UserListFnster",0);
MAKE("Status anvndare","button","UserListFnster",0);
MAKE("UserInfo","text box","UserListFnster",1);
MAKE("Username-list","scrollable list","UserListFnster",0);
MAKE("Username-list: scrollbar","bounded value","Username-list",0);
MAKE("Username-list: list","list","Username-list",0);
MAKE("vrigt ->: menu","menu","ROOT",0);
MAKE("Om LyXkom","button","vrigt ->: menu",0);
MAKE("Vilka inloggade","button","vrigt ->: menu",0);
MAKE("Lista anvndare","button","vrigt ->: menu",0);
MAKE("Password check window","bulletin board","ROOT",0);
MAKE("Avbryt registrering","button","Password check window",0);
MAKE("Hjlp med verifiering","button","Password check window",0);
MAKE("Registrera","button","Password check window",0);
MAKE("dbPswName","type in box","Password check window",0);
MAKE("Verifiera password","label","Password check window",0);
MAKE("DBLoginName","type in box","Password check window",0);
MAKE("Vilket anvndarnamn?","label","Password check window",0);
MAKE("LoginFnster","bulletin board","ROOT",0);
MAKE("Hjlp med login","button","LoginFnster",0);
MAKE("Avbryt inloggning","button","LoginFnster",0);
MAKE("Logga in","button","LoginFnster",0);
MAKE("Vilken server?","label","LoginFnster",0);
MAKE("ServerName","type in box","LoginFnster",0);
MAKE("Ditt LysKOM-namn?","label","LoginFnster",0);
MAKE("Ditt LysKOM-password?","label","LoginFnster",0);
MAKE("PswName","type in box","LoginFnster",0);
MAKE("LoginName","type in box","LoginFnster",0);
MAKE("LsWin","bulletin board","ROOT",0);
MAKE("Ej i ngot mte","label","LsWin",0);
MAKE("Lsfnster","text editor with scrollbar","LsWin",0);
MAKE("Lsfnster: scroll bar","bounded value","Lsfnster",0);
MAKE("Lsfnster: text editor","text editor","Lsfnster",0);
MAKE("Ls Stacker","stacker","LsWin",0);
MAKE("Nsta text","button","Ls Stacker",0);
MAKE("Ls angiven text","button","Ls Stacker",0);
MAKE("Fregende text","button","Ls Stacker",0);
MAKE("Ls endast antal","button","Ls Stacker",0);
MAKE("Avbryt lsning","button","Ls Stacker",0);
MAKE("Hjlp med ls","button","Ls Stacker",0);
MAKE("Lista mte ->","pulldown menu","Ls Stacker",0);
MAKE("Skriv ->","pulldown menu","Ls Stacker",0);
MAKE("Hjlp","bulletin board","ROOT",0);
MAKE("Uppfattat","button","Hjlp",0);
MAKE("Frsta Hjlpen","text box","Hjlp",1);
MAKE("MainWin","bulletin board","ROOT",0);
MAKE("Main Stacker","stacker","MainWin",0);
MAKE("vrigt ->","pulldown menu","Main Stacker",0);
MAKE("Ls","button","Main Stacker",0);
MAKE("Avbryt","button","Main Stacker",0);
MAKE("Hjlp!","button","Main Stacker",0);
MAKE("Listfnster","bulletin board","ROOT",0);
MAKE("Vlj mte/handling","label","Listfnster",0);
MAKE("ConfInfo","text box","Listfnster",1);
MAKE("List stacker","stacker","Listfnster",0);
MAKE("ListRadio","radio buttons","List stacker",0);
MAKE("list button stacker","stacker","List stacker",0);
MAKE("Avbryt lista","button","list button stacker",0);
MAKE("Hjlp med lista","button","list button stacker",0);
MAKE("Mteslista","scrollable list","Listfnster",0);
MAKE("Mteslista: scrollbar","bounded value","Mteslista",0);
MAKE("Mteslista: list","list","Mteslista",0);
SET("arrow button","border raised","boolean",1,0,"no");
SET("arrow button","changed class","boolean",1,0,"no");
SET("arrow button","darken background","boolean",1,0,"yes");
SET("arrow button","direction","SUIT_enum",1,0,"\"up\" of {\"up\" \"down\" \"left\" \"right\"}");
SET("arrow button","draw filled","boolean",1,0,"no");
SET("arrow button","has background","boolean",1,0,"no");
SET("arrow button","intermediate feedback","boolean",1,0,"no");
SET("arrow button","shadow thickness","int",1,0,"3");
SET("billboard","border raised","boolean",1,0,"no");
SET("billboard","changed class","boolean",1,0,"no");
SET("borderless bulletin board","border raised","boolean",1,0,"no");
SET("borderless bulletin board","changed class","boolean",1,0,"no");
SET("borderless bulletin board","has border","boolean",1,0,"no");
SET("bounded value","arrowhead angle","int",1,0,"10");
SET("bounded value","arrowhead length","double",1,0,"0.200000");
SET("bounded value","button background color","GP_color",1,0,"black, black");
SET("bounded value","button foreground color","GP_color",1,0,"grey, white");
SET("bounded value","changed class","boolean",1,0,"no");
SET("bounded value","current value","double",1,0,"0.000000");
SET("bounded value","granularity","double",1,0,"0.000000");
SET("bounded value","has arrow","boolean",1,0,"yes");
SET("bounded value","has tick marks","boolean",1,0,"yes");
SET("bounded value","increase clockwise","boolean",1,0,"yes");
SET("bounded value","interactively created","boolean",1,0,"no");
SET("bounded value","minimum value","double",1,0,"0.000000");
SET("bounded value","needle color","GP_color",1,0,"black, black");
SET("bounded value","start angle","double",1,0,"0.000000");
SET("bulletin board","border raised","boolean",1,0,"yes");
SET("bulletin board","border width","int",1,0,"2");
SET("bulletin board","changed class","boolean",1,0,"no");
SET("bulletin board","interactively created","boolean",1,0,"no");
SET("button","border raised","boolean",1,0,"yes");
SET("button","changed class","boolean",1,0,"no");
SET("button","disabled color","GP_color",1,0,"white, white");
SET("button","hotkey","text",1,0,"");
SET("button","interactively created","boolean",1,0,"no");
SET("button","justification","SUIT_enum",1,0,"\"center\" of {\"left\" \"center\" \"right\"}");
SET("button","shrink to fit","boolean",1,0,"yes");
SET("dialog box","border type","SUIT_enum",1,0,"\"fancy motif\" of {\"simple\" \"motif\" \"fancy motif\"}");
SET("dialog box","border width","int",1,0,"8");
SET("dialog box","cache using canvas","boolean",1,0,"yes");
SET("dialog box","changed class","boolean",1,0,"no");
SET("elevator","border raised","boolean",1,0,"no");
SET("elevator","changed class","boolean",1,0,"no");
SET("elevator","has background","boolean",1,0,"no");
SET("elevator","sliding","boolean",1,0,"no");
SET("font panel","border raised","boolean",1,0,"no");
SET("font panel","changed class","boolean",1,0,"no");
SET("font panel","has border","boolean",1,0,"no");
SET("label","changed class","boolean",1,0,"no");
SET("label","has border","boolean",1,0,"no");
SET("label","interactively created","boolean",1,0,"no");
SET("label","justification","SUIT_enum",1,0,"\"center\" of {\"left\" \"center\" \"right\"}");
SET("label","shrink to fit","boolean",1,0,"yes");
SET("list","border raised","boolean",1,0,"no");
SET("list","changed class","boolean",1,0,"no");
SET("list","interactively created","boolean",1,0,"no");
SET("list","text spacing","double",1,0,"1.200000");
SET("menu","cache using canvas","boolean",1,0,"yes");
SET("menu","changed class","boolean",1,0,"no");
SET("menu","interactively created","boolean",1,0,"no");
SET("on/off switch","changed class","boolean",1,0,"no");
SET("on/off switch","disabled color","GP_color",1,0,"white, white");
SET("on/off switch","shrink to fit","boolean",1,0,"yes");
SET("p.e.collection","border raised","boolean",1,0,"no");
SET("p.e.collection","changed class","boolean",1,0,"no");
SET("place mat","border raised","boolean",1,0,"no");
SET("place mat","changed class","boolean",1,0,"no");
SET("property editor","border raised","boolean",1,0,"no");
SET("property editor","changed class","boolean",1,0,"no");
SET("property list","border raised","boolean",1,0,"no");
SET("property list","changed class","boolean",1,0,"no");
SET("property list","text spacing","double",1,0,"1.500000");
SET("pulldown menu","changed class","boolean",1,0,"no");
SET("pulldown menu","interactively created","boolean",1,0,"no");
SET("radio buttons","changed class","boolean",1,0,"no");
SET("radio buttons","current value","SUIT_enum",1,0,"\"default value\" of {\"default value\"}");
SET("radio buttons","interactively created","boolean",1,0,"no");
SET("scrollable list","border raised","boolean",1,0,"no");
SET("scrollable list","changed class","boolean",1,0,"no");
SET("scrollable list","has background","boolean",1,0,"no");
SET("scrollable list","has border","boolean",1,0,"no");
SET("scrollable list","interactively created","boolean",1,0,"no");
SET("scrollable property list","border raised","boolean",1,0,"no");
SET("scrollable property list","changed class","boolean",1,0,"no");
SET("scrollable property list","has background","boolean",1,0,"no");
SET("scrollable property list","has border","boolean",1,0,"no");
SET("stacker","border type","SUIT_enum",1,0,"\"simple\" of {\"simple\" \"motif\" \"fancy motif\"}");
SET("stacker","border width","int",1,0,"2");
SET("stacker","changed class","boolean",1,0,"no");
SET("stacker","interactively created","boolean",1,0,"no");
SET("stacker","shrink to fit","boolean",1,0,"no");
SET("text box","border raised","boolean",1,0,"no");
SET("text box","changed class","boolean",1,0,"no");
SET("text box","interactively created","boolean",1,0,"yes");
SET("text editor","any keystroke triggers","boolean",1,0,"no");
SET("text editor","backward char key","text",1,0,"C-b");
SET("text editor","beginning of line key","text",1,0,"C-a");
SET("text editor","beginning of text key","text",1,0,"M-<");
SET("text editor","border raised","boolean",1,0,"no");
SET("text editor","calculate lines","boolean",1,0,"no");
SET("text editor","changed class","boolean",1,0,"no");
SET("text editor","cursor color","GP_color",1,0,"black, black");
SET("text editor","cursor index","int",1,0,"0");
SET("text editor","cursor style","SUIT_enum",1,0,"\"vertical bar\" of {\"i-beam\" \"vertical bar\"}");
SET("text editor","delete char key","text",1,0,"C-d");
SET("text editor","delete entire line key","text",1,0,"C-u");
SET("text editor","done editing key","text",1,0,"C-x");
SET("text editor","double click time","double",1,0,"400000.000000");
SET("text editor","end of line key","text",1,0,"C-e");
SET("text editor","end of text key","text",1,0,"M->");
SET("text editor","forward char key","text",1,0,"C-f");
SET("text editor","has a tab","boolean",1,0,"no");
SET("text editor","highlight block","boolean",1,0,"no");
SET("text editor","interactively created","boolean",1,0,"no");
SET("text editor","kill line key","text",1,0,"C-k");
SET("text editor","last mark index","int",1,0,"0");
SET("text editor","mark end index","int",1,0,"0");
SET("text editor","mark index","int",1,0,"0");
SET("text editor","newline key","text",1,0,"C-m");
SET("text editor","next line key","text",1,0,"C-n");
SET("text editor","open line key","text",1,0,"C-o");
SET("text editor","previous line key","text",1,0,"C-p");
SET("text editor","repaint key","text",1,0,"C-l");
SET("text editor","scroll down key","text",1,0,"M-v");
SET("text editor","scroll up key","text",1,0,"C-v");
SET("text editor","set mark key","text",1,0,"C-`");
SET("text editor","spacing gap","int",1,0,"3");
SET("text editor","start x","int",1,0,"0");
SET("text editor","start y","double",1,0,"0.000000");
SET("text editor","tab key","text",1,0,"C-i");
SET("text editor","tab length","int",1,0,"5");
SET("text editor","wipe block key","text",1,0,"C-w");
SET("text editor","yank key","text",1,0,"C-y");
SET("text editor with scrollbar","border raised","boolean",1,0,"no");
SET("text editor with scrollbar","changed class","boolean",1,0,"no");
SET("text editor with scrollbar","interactively created","boolean",1,0,"no");
SET("type in box","any keystroke triggers","boolean",1,0,"no");
SET("type in box","backward char key","text",1,0,"C-b");
SET("type in box","beginning of line key","text",1,0,"C-a");
SET("type in box","beginning of text key","text",1,0,"M-<");
SET("type in box","border raised","boolean",1,0,"no");
SET("type in box","calculate lines","boolean",1,0,"no");
SET("type in box","changed class","boolean",1,0,"no");
SET("type in box","cursor color","GP_color",1,0,"black, black");
SET("type in box","cursor index","int",1,0,"0");
SET("type in box","cursor style","SUIT_enum",1,0,"\"vertical bar\" of {\"i-beam\" \"vertical bar\"}");
SET("type in box","delete char key","text",1,0,"C-d");
SET("type in box","delete entire line key","text",1,0,"C-u");
SET("type in box","done editing key","text",1,0,"C-x");
SET("type in box","double click time","double",1,0,"400000.000000");
SET("type in box","end of line key","text",1,0,"C-e");
SET("type in box","end of text key","text",1,0,"M->");
SET("type in box","forward char key","text",1,0,"C-f");
SET("type in box","has a tab","boolean",1,0,"no");
SET("type in box","highlight block","boolean",1,0,"no");
SET("type in box","input sequence","text",1,0,"");
SET("type in box","interactively created","boolean",1,0,"no");
SET("type in box","kill line key","text",1,0,"C-k");
SET("type in box","last mark index","int",1,0,"0");
SET("type in box","mark end index","int",1,0,"0");
SET("type in box","mark index","int",1,0,"0");
SET("type in box","newline key","text",1,0,"C-m");
SET("type in box","next line key","text",1,0,"C-n");
SET("type in box","open line key","text",1,0,"C-o");
SET("type in box","pre cursor index","int",1,0,"0");
SET("type in box","previous line key","text",1,0,"C-p");
SET("type in box","repaint key","text",1,0,"C-l");
SET("type in box","scroll down key","text",1,0,"M-v");
SET("type in box","scroll up key","text",1,0,"C-v");
SET("type in box","set mark key","text",1,0,"C-`");
SET("type in box","shrink to fit","boolean",1,0,"yes");
SET("type in box","spacing gap","int",1,0,"3");
SET("type in box","start x","int",1,0,"0");
SET("type in box","start y","double",1,0,"0.000000");
SET("type in box","tab key","text",1,0,"C-i");
SET("type in box","tab length","int",1,0,"5");
SET("type in box","wipe block key","text",1,0,"C-w");
SET("type in box","yank key","text",1,0,"C-y");
SET("ROOT","animated","boolean",0,0,"no");
SET("ROOT","background color","GP_color",0,0,"grey, white");
SET("ROOT","border color","GP_color",0,0,"grey, black");
SET("ROOT","border raised","boolean",0,0,"yes");
SET("ROOT","border type","SUIT_enum",0,0,"\"motif\" of {\"simple\" \"motif\" \"fancy motif\"}");
SET("ROOT","border width","int",0,0,"4");
SET("ROOT","changed class","boolean",0,0,"no");
SET("ROOT","clip to viewport","boolean",0,0,"yes");
SET("ROOT","default object height","int",0,0,"80");
SET("ROOT","default object width","int",0,0,"80");
SET("ROOT","draw border on inside","boolean",0,0,"no");
SET("ROOT","font","GP_font",0,0,"times,,14.000000");
SET("ROOT","foreground color","GP_color",0,0,"black, black");
SET("ROOT","has background","boolean",0,0,"yes");
SET("ROOT","has border","boolean",0,0,"yes");
SET("ROOT","margin","int",0,0,"5");
SET("ROOT","show temporary properties","boolean",0,0,"no");
SET("ROOT","shrink to fit","boolean",0,0,"no");
SET("ROOT","springiness","SUIT_springiness",0,0,"63");
SET("ROOT","SUIT system font","GP_font",0,0,"helvetica,,14.000000");
SET("ROOT","viewport","viewport",0,1,"0 0 1062 854");
SET("ROOT","visible","boolean",0,0,"yes");
SET("ROOT","window","window",0,1,"0.000000 0.000000 1.000000 1.000000");
SET("SkrivFnster","active display","SUIT_enum",0,0,"\"bulletin board\" of {\"bulletin board\"}");
SET("SkrivFnster","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("SkrivFnster","viewport","viewport",0,0,"340 4 1059 467");
SET("SkrivFnster","visible","boolean",0,0,"no");
SET("Skrivstack","active display","SUIT_enum",0,0,"\"vertical stacking\" of {\"horizontal stacking\" \"vertical stacking\"}");
SET("Skrivstack","viewport","viewport",0,0,"583 312 709 446");
SET("Klar","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Klar","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Klar","disabled","boolean",0,0,"no");
SET("Klar","label","text",0,0,"Klar");
SET("Klar","original height","int",0,1,"26");
SET("Klar","original width","int",0,1,"36");
SET("Klar","viewport","viewport",0,0,"45 99 80 124");
SET("Avbryt skriv","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Avbryt skriv","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Avbryt skriv","disabled","boolean",0,0,"no");
SET("Avbryt skriv","label","text",0,0,"Avbryt skriv");
SET("Avbryt skriv","original height","int",0,1,"26");
SET("Avbryt skriv","original width","int",0,1,"83");
SET("Avbryt skriv","viewport","viewport",0,0,"22 54 104 79");
SET("Hjlp med Skriv","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Hjlp med Skriv","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Hjlp med Skriv","disabled","boolean",0,0,"no");
SET("Hjlp med Skriv","label","text",0,0,"Hjlp med Skriv");
SET("Hjlp med Skriv","original height","int",0,1,"26");
SET("Hjlp med Skriv","original width","int",0,1,"103");
SET("Hjlp med Skriv","viewport","viewport",0,0,"12 9 114 34");
SET("SkrivEditor","active display","SUIT_enum",0,0,"\"bulletin board\" of {\"bulletin board\"}");
SET("SkrivEditor","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("SkrivEditor","has border","boolean",0,0,"no");
SET("SkrivEditor","viewport","viewport",0,0,"8 6 576 452");
SET("SkrivEditor: text editor","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("SkrivEditor: text editor","altered","boolean",0,0,"no");
SET("SkrivEditor: text editor","append to buffer","boolean",0,0,"no");
SET("SkrivEditor: text editor","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("SkrivEditor: text editor","current value","text",0,0,"");
SET("SkrivEditor: text editor","cursor index","int",0,0,"0");
SET("SkrivEditor: text editor","cursor x","int",0,0,"5");
SET("SkrivEditor: text editor","cursor y","int",0,0,"408");
SET("SkrivEditor: text editor","cut buffer","text",0,0,"");
SET("SkrivEditor: text editor","has border","boolean",0,0,"yes");
SET("SkrivEditor: text editor","highlight block","boolean",0,0,"yes");
SET("SkrivEditor: text editor","last mark index","int",0,0,"0");
SET("SkrivEditor: text editor","mark end index","int",0,0,"0");
SET("SkrivEditor: text editor","mark index","int",0,0,"0");
SET("SkrivEditor: text editor","paint block only","boolean",0,0,"yes");
SET("SkrivEditor: text editor","pre cursor index","int",0,0,"-1");
SET("SkrivEditor: text editor","read only","boolean",0,0,"no");
SET("SkrivEditor: text editor","start x","int",0,0,"5");
SET("SkrivEditor: text editor","start y","double",0,0,"423.000000");
SET("SkrivEditor: text editor","viewport","viewport",0,0,"17 9 519 437");
SET("SkrivEditor: scroll bar","active display","SUIT_enum",0,0,"\"scroll bar\" of {\"scroll bar\" \"vertical thermometer\" \"horizontal thermometer\" \"pie slice\" \"speedometer\"}");
SET("SkrivEditor: scroll bar","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("SkrivEditor: scroll bar","current value","double",0,0,"1.000000");
SET("SkrivEditor: scroll bar","granularity","double",0,0,"1.000000");
SET("SkrivEditor: scroll bar","has border","boolean",0,0,"yes");
SET("SkrivEditor: scroll bar","maximum value","double",0,0,"1.000000");
SET("SkrivEditor: scroll bar","minimum value","double",0,0,"1.000000");
SET("SkrivEditor: scroll bar","percent full","double",0,0,"0.200000");
SET("SkrivEditor: scroll bar","viewport","viewport",0,0,"528 9 551 437");
SET("SkrivEditor: scroll bar: first arrow","active display","SUIT_enum",0,0,"\"motif\" of {\"simple arrow\" \"motif\"}");
SET("SkrivEditor: scroll bar: first arrow","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("SkrivEditor: scroll bar: first arrow","direction","SUIT_enum",0,0,"\"up\" of {\"up\" \"down\" \"left\" \"right\"}");
SET("SkrivEditor: scroll bar: first arrow","has border","boolean",0,0,"no");
SET("SkrivEditor: scroll bar: first arrow","viewport","viewport",0,0,"0 405 23 428");
SET("SkrivEditor: scroll bar: elevator","active display","SUIT_enum",0,0,"\"motif\" of {\"motif\"}");
SET("SkrivEditor: scroll bar: elevator","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("SkrivEditor: scroll bar: elevator","current value","double",0,0,"-1.000000");
SET("SkrivEditor: scroll bar: elevator","has border","boolean",0,0,"no");
SET("SkrivEditor: scroll bar: elevator","viewport","viewport",0,0,"0 23 23 405");
SET("SkrivEditor: scroll bar: second arrow","active display","SUIT_enum",0,0,"\"motif\" of {\"simple arrow\" \"motif\"}");
SET("SkrivEditor: scroll bar: second arrow","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("SkrivEditor: scroll bar: second arrow","direction","SUIT_enum",0,0,"\"down\" of {\"up\" \"down\" \"left\" \"right\"}");
SET("SkrivEditor: scroll bar: second arrow","has border","boolean",0,0,"no");
SET("SkrivEditor: scroll bar: second arrow","viewport","viewport",0,0,"0 0 23 23");
SET("Skriv ->: menu","active display","SUIT_enum",0,0,"\"vertical\" of {\"vertical\"}");
SET("Skriv ->: menu","stuck down","boolean",0,0,"no");
SET("Skriv ->: menu","viewport","viewport",0,0,"920 423 993 490");
SET("Skriv ->: menu","visible","boolean",0,0,"no");
SET("Svara","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Svara","border raised","boolean",0,0,"yes");
SET("Svara","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Svara","disabled","boolean",0,0,"no");
SET("Svara","has background","boolean",0,0,"yes");
SET("Svara","has border","boolean",0,0,"no");
SET("Svara","label","text",0,0,"Svara");
SET("Svara","shrink to fit","boolean",0,0,"no");
SET("Svara","viewport","viewport",0,0,"8 37 65 63");
SET("Skriv ny","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Skriv ny","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Skriv ny","disabled","boolean",0,0,"no");
SET("Skriv ny","has border","boolean",0,0,"no");
SET("Skriv ny","label","text",0,0,"Skriv ny");
SET("Skriv ny","shrink to fit","boolean",0,0,"no");
SET("Skriv ny","viewport","viewport",0,0,"8 4 65 29");
SET("Lista mte ->: menu","active display","SUIT_enum",0,0,"\"vertical\" of {\"vertical\"}");
SET("Lista mte ->: menu","stuck down","boolean",0,0,"no");
SET("Lista mte ->: menu","viewport","viewport",0,0,"905 429 980 529");
SET("Lista mte ->: menu","visible","boolean",0,0,"no");
SET("Mina","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Mina","border raised","boolean",0,0,"yes");
SET("Mina","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Mina","disabled","boolean",0,0,"no");
SET("Mina","has background","boolean",0,0,"yes");
SET("Mina","has border","boolean",0,0,"no");
SET("Mina","label","text",0,0,"Mina");
SET("Mina","shrink to fit","boolean",0,0,"no");
SET("Mina","viewport","viewport",0,0,"8 70 67 96");
SET("Nyheter","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Nyheter","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Nyheter","disabled","boolean",0,0,"no");
SET("Nyheter","has border","boolean",0,0,"no");
SET("Nyheter","label","text",0,0,"Nyheter");
SET("Nyheter","shrink to fit","boolean",0,0,"no");
SET("Nyheter","viewport","viewport",0,0,"8 37 67 62");
SET("Sk","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Sk","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Sk","disabled","boolean",0,0,"no");
SET("Sk","has border","boolean",0,0,"no");
SET("Sk","label","text",0,0,"Sk");
SET("Sk","shrink to fit","boolean",0,0,"no");
SET("Sk","viewport","viewport",0,0,"8 4 67 29");
SET("UserListFnster","active display","SUIT_enum",0,0,"\"bulletin board\" of {\"bulletin board\"}");
SET("UserListFnster","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("UserListFnster","viewport","viewport",0,0,"340 4 1056 468");
SET("UserListFnster","visible","boolean",0,0,"no");
SET("Hjlp med anvndar-listning","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Hjlp med anvndar-listning","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Hjlp med anvndar-listning","disabled","boolean",0,0,"no");
SET("Hjlp med anvndar-listning","label","text",0,0,"Hjlp med anvndar-listning");
SET("Hjlp med anvndar-listning","viewport","viewport",0,0,"453 38 628 63");
SET("Avbryt anvndar-listning","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Avbryt anvndar-listning","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Avbryt anvndar-listning","disabled","boolean",0,0,"no");
SET("Avbryt anvndar-listning","label","text",0,0,"Avbryt anvndar-listning");
SET("Avbryt anvndar-listning","viewport","viewport",0,0,"462 102 619 127");
SET("Status anvndare","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Status anvndare","border raised","boolean",0,0,"yes");
SET("Status anvndare","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Status anvndare","disabled","boolean",0,0,"no");
SET("Status anvndare","has background","boolean",0,0,"yes");
SET("Status anvndare","label","text",0,0,"Status anvndare");
SET("Status anvndare","viewport","viewport",0,0,"485 160 595 185");
SET("UserInfo","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("UserInfo","label","text",0,0,"@bold(Detaljerad anvndarinformation)

@bold(Hemma-maskin:)A4000@@Skggetorp
@bold(Frsta inloggning:) 83-05-04, 03:04:05
@bold(Senaste inloggning:) 93-05-04, 04:05:06
@bold(Nrvarotid:) 0 dygn, 13:53:20
@bold(Skrivna meddelanden:) 123");
SET("UserInfo","line spacing","double",0,0,"1.000000");
SET("UserInfo","viewport","viewport",0,0,"373 214 705 449");
SET("Username-list","active display","SUIT_enum",0,0,"\"bulletin board\" of {\"bulletin board\"}");
SET("Username-list","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Username-list","current row","int",0,0,"0");
SET("Username-list","current value","text",0,0,"tuben");
SET("Username-list","font","GP_font",0,0,"times,,12.000000");
SET("Username-list","label","text",0,0,"");
SET("Username-list","list","SUIT_textList",0,0,"tuben
ajo
hez
");
SET("Username-list","viewport","viewport",0,0,"13 12 361 453");
SET("Username-list: scrollbar","active display","SUIT_enum",0,0,"\"scroll bar\" of {\"scroll bar\" \"vertical thermometer\" \"horizontal thermometer\" \"pie slice\" \"speedometer\"}");
SET("Username-list: scrollbar","border raised","boolean",0,0,"no");
SET("Username-list: scrollbar","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Username-list: scrollbar","current value","double",0,0,"0.000000");
SET("Username-list: scrollbar","granularity","double",0,0,"1.000000");
SET("Username-list: scrollbar","maximum value","double",0,0,"0.000000");
SET("Username-list: scrollbar","minimum value","double",0,0,"0.000000");
SET("Username-list: scrollbar","percent full","double",0,0,"1.000000");
SET("Username-list: scrollbar","springiness","SUIT_springiness",0,0,"17");
SET("Username-list: scrollbar","viewport","viewport",0,0,"334 2 346 439");
SET("Username-list: scrollbar: first arrow","active display","SUIT_enum",0,0,"\"motif\" of {\"simple arrow\" \"motif\"}");
SET("Username-list: scrollbar: first arrow","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Username-list: scrollbar: first arrow","direction","SUIT_enum",0,0,"\"up\" of {\"up\" \"down\" \"left\" \"right\"}");
SET("Username-list: scrollbar: first arrow","has border","boolean",0,0,"no");
SET("Username-list: scrollbar: first arrow","viewport","viewport",0,0,"0 425 12 437");
SET("Username-list: scrollbar: elevator","active display","SUIT_enum",0,0,"\"motif\" of {\"motif\"}");
SET("Username-list: scrollbar: elevator","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Username-list: scrollbar: elevator","current value","double",0,0,"-1.000000");
SET("Username-list: scrollbar: elevator","has border","boolean",0,0,"no");
SET("Username-list: scrollbar: elevator","percent full","double",0,0,"1.000000");
SET("Username-list: scrollbar: elevator","viewport","viewport",0,0,"0 12 12 425");
SET("Username-list: scrollbar: second arrow","active display","SUIT_enum",0,0,"\"motif\" of {\"simple arrow\" \"motif\"}");
SET("Username-list: scrollbar: second arrow","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Username-list: scrollbar: second arrow","direction","SUIT_enum",0,0,"\"down\" of {\"up\" \"down\" \"left\" \"right\"}");
SET("Username-list: scrollbar: second arrow","has border","boolean",0,0,"no");
SET("Username-list: scrollbar: second arrow","viewport","viewport",0,0,"0 0 12 12");
SET("Username-list: list","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("Username-list: list","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Username-list: list","drawing viewport","viewport",0,0,"2 391 324 439");
SET("Username-list: list","springiness","SUIT_springiness",0,0,"3");
SET("Username-list: list","viewport","viewport",0,0,"2 2 324 439");
SET("vrigt ->: menu","active display","SUIT_enum",0,0,"\"vertical\" of {\"vertical\"}");
SET("vrigt ->: menu","stuck down","boolean",0,0,"no");
SET("vrigt ->: menu","viewport","viewport",0,0,"52 644 176 744");
SET("vrigt ->: menu","visible","boolean",0,0,"no");
SET("Om LyXkom","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Om LyXkom","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Om LyXkom","disabled","boolean",0,0,"no");
SET("Om LyXkom","has border","boolean",0,0,"no");
SET("Om LyXkom","label","text",0,0,"Om LyXkom");
SET("Om LyXkom","shrink to fit","boolean",0,0,"no");
SET("Om LyXkom","viewport","viewport",0,0,"8 72 116 94");
SET("Vilka inloggade","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Vilka inloggade","border raised","boolean",0,0,"yes");
SET("Vilka inloggade","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Vilka inloggade","disabled","boolean",0,0,"no");
SET("Vilka inloggade","has background","boolean",0,0,"yes");
SET("Vilka inloggade","has border","boolean",0,0,"no");
SET("Vilka inloggade","label","text",0,0,"Vilka inloggade");
SET("Vilka inloggade","shrink to fit","boolean",0,0,"no");
SET("Vilka inloggade","viewport","viewport",0,0,"8 39 116 60");
SET("Lista anvndare","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Lista anvndare","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Lista anvndare","disabled","boolean",0,0,"no");
SET("Lista anvndare","has border","boolean",0,0,"no");
SET("Lista anvndare","label","text",0,0,"Lista anvndare");
SET("Lista anvndare","shrink to fit","boolean",0,0,"no");
SET("Lista anvndare","viewport","viewport",0,0,"8 6 116 27");
SET("Password check window","active display","SUIT_enum",0,0,"\"bulletin board\" of {\"bulletin board\"}");
SET("Password check window","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Password check window","viewport","viewport",0,0,"340 207 820 658");
SET("Password check window","visible","boolean",0,0,"no");
SET("Avbryt registrering","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Avbryt registrering","border raised","boolean",0,0,"yes");
SET("Avbryt registrering","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Avbryt registrering","disabled","boolean",0,0,"no");
SET("Avbryt registrering","has background","boolean",0,0,"yes");
SET("Avbryt registrering","label","text",0,0,"Avbryt registrering");
SET("Avbryt registrering","viewport","viewport",0,0,"301 75 421 100");
SET("Hjlp med verifiering","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Hjlp med verifiering","border raised","boolean",0,0,"yes");
SET("Hjlp med verifiering","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Hjlp med verifiering","disabled","boolean",0,0,"no");
SET("Hjlp med verifiering","has background","boolean",0,0,"yes");
SET("Hjlp med verifiering","label","text",0,0,"Hjlp med verifiering");
SET("Hjlp med verifiering","viewport","viewport",0,0,"66 75 196 100");
SET("Registrera","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Registrera","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Registrera","disabled","boolean",0,0,"no");
SET("Registrera","label","text",0,0,"Registrera");
SET("Registrera","viewport","viewport",0,0,"211 160 281 185");
SET("dbPswName","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("dbPswName","altered","boolean",0,0,"no");
SET("dbPswName","any keystroke triggers","boolean",0,0,"yes");
SET("dbPswName","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("dbPswName","current value","text",0,0,"");
SET("dbPswName","cursor x","int",0,0,"5");
SET("dbPswName","cursor y","int",0,0,"8");
SET("dbPswName","last mark index","int",0,0,"0");
SET("dbPswName","paint block only","boolean",0,0,"no");
SET("dbPswName","pre cursor index","int",0,0,"-1");
SET("dbPswName","read only","boolean",0,0,"no");
SET("dbPswName","start x","int",0,0,"5");
SET("dbPswName","start y","double",0,0,"20.000000");
SET("dbPswName","viewport","viewport",0,0,"75 239 418 264");
SET("Verifiera password","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("Verifiera password","label","text",0,0,"Verifiera password");
SET("Verifiera password","viewport","viewport",0,0,"187 285 306 310");
SET("DBLoginName","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("DBLoginName","altered","boolean",0,0,"no");
SET("DBLoginName","calculate lines","boolean",0,0,"no");
SET("DBLoginName","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("DBLoginName","current value","text",0,0,"a");
SET("DBLoginName","cursor x","int",0,0,"5");
SET("DBLoginName","cursor y","int",0,0,"8");
SET("DBLoginName","has a tab","boolean",0,0,"no");
SET("DBLoginName","highlight block","boolean",0,0,"no");
SET("DBLoginName","last mark index","int",0,0,"0");
SET("DBLoginName","number of lines","int",0,0,"1");
SET("DBLoginName","paint block only","boolean",0,0,"no");
SET("DBLoginName","pre cursor index","int",0,0,"-1");
SET("DBLoginName","read only","boolean",0,0,"no");
SET("DBLoginName","start x","int",0,0,"5");
SET("DBLoginName","start y","double",0,0,"20.000000");
SET("DBLoginName","viewport","viewport",0,0,"78 353 415 378");
SET("Vilket anvndarnamn?","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("Vilket anvndarnamn?","label","text",0,0,"Vilket anvndarnamn?");
SET("Vilket anvndarnamn?","viewport","viewport",0,0,"177 392 315 417");
SET("LoginFnster","active display","SUIT_enum",0,0,"\"bulletin board\" of {\"bulletin board\"}");
SET("LoginFnster","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("LoginFnster","viewport","viewport",0,0,"343 218 886 652");
SET("LoginFnster","visible","boolean",0,0,"yes");
SET("Hjlp med login","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Hjlp med login","border raised","boolean",0,0,"yes");
SET("Hjlp med login","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Hjlp med login","disabled","boolean",0,0,"no");
SET("Hjlp med login","has background","boolean",0,0,"yes");
SET("Hjlp med login","label","text",0,0,"Hjlp med login");
SET("Hjlp med login","viewport","viewport",0,0,"119 44 218 69");
SET("Avbryt inloggning","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Avbryt inloggning","border raised","boolean",0,0,"yes");
SET("Avbryt inloggning","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Avbryt inloggning","disabled","boolean",0,0,"no");
SET("Avbryt inloggning","has background","boolean",0,0,"yes");
SET("Avbryt inloggning","label","text",0,0,"Avbryt inloggning");
SET("Avbryt inloggning","viewport","viewport",0,0,"354 44 466 69");
SET("Logga in","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Logga in","border raised","boolean",0,0,"yes");
SET("Logga in","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Logga in","disabled","boolean",0,0,"no");
SET("Logga in","has background","boolean",0,0,"yes");
SET("Logga in","label","text",0,0,"Logga in");
SET("Logga in","viewport","viewport",0,0,"253 93 313 118");
SET("Vilken server?","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("Vilken server?","label","text",0,0,"Vilken server?");
SET("Vilken server?","viewport","viewport",0,0,"237 366 329 391");
SET("ServerName","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("ServerName","altered","boolean",0,0,"yes");
SET("ServerName","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("ServerName","current value","text",0,0,"diag19.ida.liu.se");
SET("ServerName","cut buffer","text",0,0,"");
SET("ServerName","number of lines","int",0,0,"1");
SET("ServerName","paint block only","boolean",0,0,"yes");
SET("ServerName","read only","boolean",0,0,"no");
SET("ServerName","viewport","viewport",0,0,"128 323 438 348");
SET("Ditt LysKOM-namn?","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("Ditt LysKOM-namn?","label","text",0,0,"Ditt LysKOM-namn?");
SET("Ditt LysKOM-namn?","viewport","viewport",0,0,"215 279 351 304");
SET("Ditt LysKOM-password?","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("Ditt LysKOM-password?","label","text",0,0,"Ditt LysKOM-password?");
SET("Ditt LysKOM-password?","viewport","viewport",0,0,"203 190 363 215");
SET("PswName","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("PswName","altered","boolean",0,0,"no");
SET("PswName","any keystroke triggers","boolean",0,0,"yes");
SET("PswName","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("PswName","current value","text",0,0,"");
SET("PswName","cursor x","int",0,0,"5");
SET("PswName","cursor y","int",0,0,"8");
SET("PswName","last mark index","int",0,0,"0");
SET("PswName","paint block only","boolean",0,0,"no");
SET("PswName","pre cursor index","int",0,0,"-1");
SET("PswName","read only","boolean",0,0,"no");
SET("PswName","start x","int",0,0,"5");
SET("PswName","start y","double",0,0,"20.000000");
SET("PswName","viewport","viewport",0,0,"125 148 441 173");
SET("LoginName","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("LoginName","altered","boolean",0,0,"yes");
SET("LoginName","append to buffer","boolean",0,0,"no");
SET("LoginName","calculate lines","boolean",0,0,"no");
SET("LoginName","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("LoginName","current value","text",0,0,"");
SET("LoginName","cursor index","int",0,0,"0");
SET("LoginName","cursor x","int",0,0,"5");
SET("LoginName","cursor y","int",0,0,"8");
SET("LoginName","cut buffer","text",0,0,"");
SET("LoginName","highlight block","boolean",0,0,"no");
SET("LoginName","input sequence","text",0,0,"");
SET("LoginName","last mark index","int",0,0,"0");
SET("LoginName","mark end index","int",0,0,"1");
SET("LoginName","mark index","int",0,0,"0");
SET("LoginName","number of lines","int",0,0,"1");
SET("LoginName","paint block only","boolean",0,0,"yes");
SET("LoginName","pre cursor index","int",0,0,"0");
SET("LoginName","read only","boolean",0,0,"no");
SET("LoginName","start x","int",0,0,"5");
SET("LoginName","start y","double",0,0,"20.000000");
SET("LoginName","viewport","viewport",0,0,"126 234 440 259");
SET("LsWin","active display","SUIT_enum",0,0,"\"bulletin board\" of {\"bulletin board\"}");
SET("LsWin","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("LsWin","viewport","viewport",0,0,"213 474 1055 854");
SET("LsWin","visible","boolean",0,0,"no");
SET("Ej i ngot mte","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("Ej i ngot mte","font","GP_font",0,0,"times,,12.000000");
SET("Ej i ngot mte","label","text",0,0,"om allt och alla");
SET("Ej i ngot mte","viewport","viewport",0,0,"275 353 360 377");
SET("Lsfnster","active display","SUIT_enum",0,0,"\"bulletin board\" of {\"bulletin board\"}");
SET("Lsfnster","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Lsfnster","has border","boolean",0,0,"no");
SET("Lsfnster","viewport","viewport",0,0,"1 2 653 350");
SET("Lsfnster: scroll bar","active display","SUIT_enum",0,0,"\"scroll bar\" of {\"scroll bar\" \"vertical thermometer\" \"horizontal thermometer\" \"pie slice\" \"speedometer\"}");
SET("Lsfnster: scroll bar","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Lsfnster: scroll bar","current value","double",0,0,"1.000000");
SET("Lsfnster: scroll bar","granularity","double",0,0,"1.000000");
SET("Lsfnster: scroll bar","has border","boolean",0,0,"yes");
SET("Lsfnster: scroll bar","maximum value","double",0,0,"5.000000");
SET("Lsfnster: scroll bar","minimum value","double",0,0,"1.000000");
SET("Lsfnster: scroll bar","percent full","double",0,0,"0.200000");
SET("Lsfnster: scroll bar","viewport","viewport",0,0,"595 7 619 342");
SET("Lsfnster: scroll bar: first arrow","active display","SUIT_enum",0,0,"\"motif\" of {\"simple arrow\" \"motif\"}");
SET("Lsfnster: scroll bar: first arrow","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Lsfnster: scroll bar: first arrow","direction","SUIT_enum",0,0,"\"up\" of {\"up\" \"down\" \"left\" \"right\"}");
SET("Lsfnster: scroll bar: first arrow","has border","boolean",0,0,"no");
SET("Lsfnster: scroll bar: first arrow","viewport","viewport",0,0,"0 311 24 335");
SET("Lsfnster: scroll bar: elevator","active display","SUIT_enum",0,0,"\"motif\" of {\"motif\"}");
SET("Lsfnster: scroll bar: elevator","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Lsfnster: scroll bar: elevator","current value","double",0,0,"0.000000");
SET("Lsfnster: scroll bar: elevator","has border","boolean",0,0,"no");
SET("Lsfnster: scroll bar: elevator","viewport","viewport",0,0,"0 24 24 311");
SET("Lsfnster: scroll bar: second arrow","active display","SUIT_enum",0,0,"\"motif\" of {\"simple arrow\" \"motif\"}");
SET("Lsfnster: scroll bar: second arrow","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Lsfnster: scroll bar: second arrow","direction","SUIT_enum",0,0,"\"down\" of {\"up\" \"down\" \"left\" \"right\"}");
SET("Lsfnster: scroll bar: second arrow","has border","boolean",0,0,"no");
SET("Lsfnster: scroll bar: second arrow","viewport","viewport",0,0,"0 0 24 24");
SET("Lsfnster: text editor","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("Lsfnster: text editor","altered","boolean",0,0,"yes");
SET("Lsfnster: text editor","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Lsfnster: text editor","current value","text",0,0,"Meddelande 1814397249, skrivet av Lilla@jag, 2 rader
Kommenterar text: 4567, skriven av Lilla@du
Antal kommentarer till denna text: 12, Meddelandet skrivet: 93-05-08, 15:00:00
rende: Hejsan hoppsan vad
bra det hr gr...");
SET("Lsfnster: text editor","cut buffer","text",0,0,"");
SET("Lsfnster: text editor","has a tab","boolean",0,0,"no");
SET("Lsfnster: text editor","has border","boolean",0,0,"yes");
SET("Lsfnster: text editor","number of lines","int",0,0,"5");
SET("Lsfnster: text editor","paint block only","boolean",0,0,"yes");
SET("Lsfnster: text editor","read only","boolean",0,0,"yes");
SET("Lsfnster: text editor","viewport","viewport",0,0,"7 7 584 341");
SET("Ls Stacker","active display","SUIT_enum",0,0,"\"vertical stacking\" of {\"horizontal stacking\" \"vertical stacking\"}");
SET("Ls Stacker","viewport","viewport",0,0,"665 18 810 333");
SET("Nsta text","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Nsta text","border raised","boolean",0,0,"yes");
SET("Nsta text","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Nsta text","disabled","boolean",0,0,"no");
SET("Nsta text","has background","boolean",0,0,"yes");
SET("Nsta text","label","text",0,0,"Nsta text");
SET("Nsta text","original height","int",0,1,"26");
SET("Nsta text","original width","int",0,1,"71");
SET("Nsta text","viewport","viewport",0,0,"37 282 107 307");
SET("Ls angiven text","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Ls angiven text","border raised","boolean",0,0,"yes");
SET("Ls angiven text","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Ls angiven text","disabled","boolean",0,0,"no");
SET("Ls angiven text","has background","boolean",0,0,"yes");
SET("Ls angiven text","label","text",0,0,"Ls angiven text");
SET("Ls angiven text","original height","int",0,1,"26");
SET("Ls angiven text","original width","int",0,1,"106");
SET("Ls angiven text","viewport","viewport",0,0,"20 243 125 268");
SET("Fregende text","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Fregende text","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Fregende text","disabled","boolean",0,0,"no");
SET("Fregende text","label","text",0,0,"Fregende text");
SET("Fregende text","original height","int",0,1,"26");
SET("Fregende text","original width","int",0,1,"105");
SET("Fregende text","viewport","viewport",0,0,"20 203 124 228");
SET("Ls endast antal","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Ls endast antal","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Ls endast antal","disabled","boolean",0,0,"no");
SET("Ls endast antal","label","text",0,0,"Ls endast antal");
SET("Ls endast antal","original height","int",0,1,"26");
SET("Ls endast antal","original width","int",0,1,"105");
SET("Ls endast antal","viewport","viewport",0,0,"20 164 124 189");
SET("Avbryt lsning","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Avbryt lsning","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Avbryt lsning","disabled","boolean",0,0,"no");
SET("Avbryt lsning","label","text",0,0,"Avbryt lsning");
SET("Avbryt lsning","original height","int",0,1,"26");
SET("Avbryt lsning","original width","int",0,1,"95");
SET("Avbryt lsning","viewport","viewport",0,0,"25 125 119 150");
SET("Hjlp med ls","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Hjlp med ls","border raised","boolean",0,0,"yes");
SET("Hjlp med ls","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Hjlp med ls","disabled","boolean",0,0,"no");
SET("Hjlp med ls","has background","boolean",0,0,"yes");
SET("Hjlp med ls","label","text",0,0,"Hjlp med ls");
SET("Hjlp med ls","original height","int",0,1,"26");
SET("Hjlp med ls","original width","int",0,1,"89");
SET("Hjlp med ls","viewport","viewport",0,0,"28 85 116 110");
SET("Lista mte ->","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("Lista mte ->","has border","boolean",0,0,"no");
SET("Lista mte ->","label","text",0,0,"Lista mte ->");
SET("Lista mte ->","original height","int",0,1,"26");
SET("Lista mte ->","original width","int",0,1,"92");
SET("Lista mte ->","viewport","viewport",0,0,"27 46 118 71");
SET("Skriv ->","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("Skriv ->","has border","boolean",0,0,"no");
SET("Skriv ->","label","text",0,0,"Skriv ->");
SET("Skriv ->","original height","int",0,1,"26");
SET("Skriv ->","original width","int",0,1,"61");
SET("Skriv ->","viewport","viewport",0,0,"42 7 102 32");
SET("Hjlp","active display","SUIT_enum",0,0,"\"bulletin board\" of {\"bulletin board\"}");
SET("Hjlp","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Hjlp","viewport","viewport",0,0,"2 4 333 468");
SET("Hjlp","visible","boolean",0,0,"no");
SET("Uppfattat","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Uppfattat","border raised","boolean",0,0,"yes");
SET("Uppfattat","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Uppfattat","disabled","boolean",0,0,"no");
SET("Uppfattat","has background","boolean",0,0,"yes");
SET("Uppfattat","label","text",0,0,"Uppfattat");
SET("Uppfattat","viewport","viewport",0,0,"121 18 185 43");
SET("Frsta Hjlpen","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("Frsta Hjlpen","font","GP_font",0,0,"times,,12.000000");
SET("Frsta Hjlpen","label","text",0,0,"@bold(Hjlp) - Denna hjlptext.
@bold(Avbryt) - G ur programmet.
@bold(Ls) - Brja ls texter.
@bold(vrigt) - Ej implenterat.");
SET("Frsta Hjlpen","line spacing","double",0,0,"1.000000");
SET("Frsta Hjlpen","viewport","viewport",0,0,"10 63 322 444");
SET("MainWin","active display","SUIT_enum",0,0,"\"bulletin board\" of {\"bulletin board\"}");
SET("MainWin","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("MainWin","viewport","viewport",0,0,"4 474 207 852");
SET("MainWin","visible","boolean",0,0,"no");
SET("Main Stacker","active display","SUIT_enum",0,0,"\"vertical stacking\" of {\"horizontal stacking\" \"vertical stacking\"}");
SET("Main Stacker","font","GP_font",0,0,"times,,18.000000");
SET("Main Stacker","viewport","viewport",0,0,"38 86 145 323");
SET("vrigt ->","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("vrigt ->","has border","boolean",0,0,"no");
SET("vrigt ->","label","text",0,0,"vrigt ->");
SET("vrigt ->","original height","int",0,1,"26");
SET("vrigt ->","original width","int",0,1,"67");
SET("vrigt ->","viewport","viewport",0,0,"11 192 96 221");
SET("Ls","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Ls","border raised","boolean",0,0,"yes");
SET("Ls","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Ls","disabled","boolean",0,0,"no");
SET("Ls","has background","boolean",0,0,"yes");
SET("Ls","label","text",0,0,"Ls");
SET("Ls","original height","int",0,1,"26");
SET("Ls","original width","int",0,1,"33");
SET("Ls","viewport","viewport",0,0,"35 133 71 162");
SET("Avbryt","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Avbryt","border raised","boolean",0,0,"yes");
SET("Avbryt","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Avbryt","disabled","boolean",0,0,"no");
SET("Avbryt","has background","boolean",0,0,"yes");
SET("Avbryt","label","text",0,0,"Avbryt");
SET("Avbryt","original height","int",0,1,"26");
SET("Avbryt","original width","int",0,1,"52");
SET("Avbryt","viewport","viewport",0,0,"21 74 85 103");
SET("Hjlp!","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Hjlp!","border raised","boolean",0,0,"yes");
SET("Hjlp!","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Hjlp!","disabled","boolean",0,0,"no");
SET("Hjlp!","has background","boolean",0,0,"yes");
SET("Hjlp!","label","text",0,0,"Hjlp!");
SET("Hjlp!","original height","int",0,1,"26");
SET("Hjlp!","original width","int",0,1,"47");
SET("Hjlp!","viewport","viewport",0,0,"26 15 81 44");
SET("Listfnster","active display","SUIT_enum",0,0,"\"bulletin board\" of {\"bulletin board\"}");
SET("Listfnster","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Listfnster","viewport","viewport",0,0,"340 4 1059 467");
SET("Listfnster","visible","boolean",0,0,"no");
SET("Vlj mte/handling","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("Vlj mte/handling","label","text",0,0,"Ange mte att ta status p");
SET("Vlj mte/handling","viewport","viewport",0,0,"499 178 659 203");
SET("ConfInfo","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("ConfInfo","label","text",0,0,"@centerd(@bold(Ange handling/mte))
@centerd(@bold(eller))
@centerd(@bold(begr Hjlp))");
SET("ConfInfo","line spacing","double",0,0,"1.000000");
SET("ConfInfo","viewport","viewport",0,0,"431 220 703 454");
SET("List stacker","active display","SUIT_enum",0,0,"\"vertical stacking\" of {\"horizontal stacking\" \"vertical stacking\"}");
SET("List stacker","viewport","viewport",0,0,"428 18 712 164");
SET("ListRadio","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("ListRadio","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("ListRadio","current value","SUIT_enum",0,0,"\"Status\" of {\"G till\" \"Status\" \"Bli medlem i\" \"Uttrd ur\"}");
SET("ListRadio","original height","int",0,1,"105");
SET("ListRadio","original width","int",0,1,"91");
SET("ListRadio","shrink to fit","boolean",0,0,"no");
SET("ListRadio","viewport","viewport",0,0,"4 75 280 144");
SET("list button stacker","active display","SUIT_enum",0,0,"\"vertical stacking\" of {\"horizontal stacking\" \"vertical stacking\"}");
SET("list button stacker","original height","int",0,1,"68");
SET("list button stacker","original width","int",0,1,"104");
SET("list button stacker","viewport","viewport",0,0,"4 2 280 71");
SET("Avbryt lista","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Avbryt lista","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Avbryt lista","disabled","boolean",0,0,"no");
SET("Avbryt lista","label","text",0,0,"Avbryt lista");
SET("Avbryt lista","original height","int",0,1,"26");
SET("Avbryt lista","original width","int",0,1,"78");
SET("Avbryt lista","viewport","viewport",0,0,"99 39 176 64");
SET("Hjlp med lista","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Hjlp med lista","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Hjlp med lista","disabled","boolean",0,0,"no");
SET("Hjlp med lista","label","text",0,0,"Hjlp med lista");
SET("Hjlp med lista","original height","int",0,1,"26");
SET("Hjlp med lista","original width","int",0,1,"96");
SET("Hjlp med lista","viewport","viewport",0,0,"90 4 185 29");
SET("Mteslista","active display","SUIT_enum",0,0,"\"bulletin board\" of {\"bulletin board\"}");
SET("Mteslista","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Mteslista","current row","int",0,0,"-1");
SET("Mteslista","current value","text",0,0,"");
SET("Mteslista","font","GP_font",0,0,"courier,,10.000000");
SET("Mteslista","label","text",0,0,"@bold(Olsta  Namn)");
SET("Mteslista","list","SUIT_textList",0,0," 25  mte ett
  0  mte tv
");
SET("Mteslista","viewport","viewport",0,0,"10 20 417 451");
SET("Mteslista: scrollbar","active display","SUIT_enum",0,0,"\"scroll bar\" of {\"scroll bar\" \"vertical thermometer\" \"horizontal thermometer\" \"pie slice\" \"speedometer\"}");
SET("Mteslista: scrollbar","border raised","boolean",0,0,"no");
SET("Mteslista: scrollbar","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Mteslista: scrollbar","current value","double",0,0,"0.000000");
SET("Mteslista: scrollbar","granularity","double",0,0,"1.000000");
SET("Mteslista: scrollbar","maximum value","double",0,0,"0.000000");
SET("Mteslista: scrollbar","minimum value","double",0,0,"0.000000");
SET("Mteslista: scrollbar","percent full","double",0,0,"1.000000");
SET("Mteslista: scrollbar","springiness","SUIT_springiness",0,0,"17");
SET("Mteslista: scrollbar","viewport","viewport",0,0,"393 2 405 429");
SET("Mteslista: scrollbar: first arrow","active display","SUIT_enum",0,0,"\"motif\" of {\"simple arrow\" \"motif\"}");
SET("Mteslista: scrollbar: first arrow","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Mteslista: scrollbar: first arrow","direction","SUIT_enum",0,0,"\"up\" of {\"up\" \"down\" \"left\" \"right\"}");
SET("Mteslista: scrollbar: first arrow","has border","boolean",0,0,"no");
SET("Mteslista: scrollbar: first arrow","viewport","viewport",0,0,"0 415 12 427");
SET("Mteslista: scrollbar: elevator","active display","SUIT_enum",0,0,"\"motif\" of {\"motif\"}");
SET("Mteslista: scrollbar: elevator","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Mteslista: scrollbar: elevator","current value","double",0,0,"-1.000000");
SET("Mteslista: scrollbar: elevator","has border","boolean",0,0,"no");
SET("Mteslista: scrollbar: elevator","percent full","double",0,0,"1.000000");
SET("Mteslista: scrollbar: elevator","viewport","viewport",0,0,"0 12 12 415");
SET("Mteslista: scrollbar: second arrow","active display","SUIT_enum",0,0,"\"motif\" of {\"simple arrow\" \"motif\"}");
SET("Mteslista: scrollbar: second arrow","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Mteslista: scrollbar: second arrow","direction","SUIT_enum",0,0,"\"down\" of {\"up\" \"down\" \"left\" \"right\"}");
SET("Mteslista: scrollbar: second arrow","has border","boolean",0,0,"no");
SET("Mteslista: scrollbar: second arrow","viewport","viewport",0,0,"0 0 12 12");
SET("Mteslista: list","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("Mteslista: list","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Mteslista: list","drawing viewport","viewport",0,0,"2 381 383 413");
SET("Mteslista: list","springiness","SUIT_springiness",0,0,"3");
SET("Mteslista: list","viewport","viewport",0,0,"2 2 383 429");


} /* end of INIT_suiRoutine */



void SUIT_initFromCode (char *programName)
{
    SUIT_interiorInitFromCode (programName, INIT_suiRoutine, THE_SCREEN_WIDTH,
                               THE_SCREEN_HEIGHT, THE_SCREEN_DEPTH);
}
