######################################################################
# Makefile for SUIT applications
######################################################################

# this denotes where the SUIT distribution lives
HOME = /tmp_mnt/auto/kolix2/kurs/projdi/projdi03
SUIT	  =$(HOME)/suit/sparc
XLIBS	  =/usr/local/X11R5/lib
X_INC_DIR =/usr/local/X11R5/include/X11

####################################################
# Hr startar vra egna definitioner av directories
####################################################
LYXKOMHOME = $(HOME)/LyXkom
GUIDIR = $(LYXKOMHOME)/GUI
GUIINCLUDE = -I$(X_INC_DIR) -I$(SUIT)/include -I$(GUIDIR)
LYXDIR = $(LYXKOMHOME)/lyx
LYXKOMINCLUDE = -I$(LYXKOMHOME)/include -I$(LYXKOMHOME)/kom_include
KOMLIBS = $(LYXKOMHOME)/lib

####################################################
# Definitioner av filer
####################################################
GUIFILES = $(GUIDIR)/gui.c $(GUIDIR)/suit.c $(GUIDIR)/stack.c
LYXFILES = $(LYXDIR)/lyx_login.c $(LYXDIR)/lyx_whoison.c $(LYXDIR)/lyx_status_user.c $(LYXDIR)/lyx_list_membership_news.c $(LYXDIR)/lyx_getnexttext.c $(LYXDIR)/lyx_status_meeting.c $(LYXDIR)/lyx_list_membership_meetings.c $(LYXDIR)/lyx_subscribe.c $(LYXDIR)/lyx_unsubscribe.c $(LYXDIR)/lyx_list_meetings.c $(LYXDIR)/lyx_list_all_users.c $(LYXDIR)/lyx_create_user.c $(LYXDIR)/lyx_set_unread.c $(LYXDIR)/lyx_enter_comment_text.c $(LYXDIR)/lyx_enter_new_text.c


####################################################
# Diverse flaggor
####################################################
GUILIBS = -lsuit -lsrgp -lX11 -lm
LYXLIBS = -lclient-sup -llyskom-client -lmisc
LYXLDFLAGS = -L$(KOMLIBS)
GUILDFLAGS = -L$(SUIT)/lib -L$(XLIBS)
CC	=	gcc
LDLIBS	=	$(GUILIBS) $(LYXLIBS)
LDFLAGS	=	$(GUILDFLAGS) $(LYXLDFLAGS)

#DEBUG	=	-g
OPTIMIZE =	-O2

########################### NOTE ####################################
#
# comment out the -static flag to 
# make dynamically linked executables.
# This will make your programs take up less room on disk.
#
#####################################################################
#STATIC= -static

ALLINCLUDE = $(GUIINCLUDE) $(LYXKOMINCLUDE)

CFLAGS	=	-DCLIENT $(STATIC)  -c -fpcc-struct-return $(ALLINCLUDE) $(DEBUG) $(OPTIMIZE)

######################################################################
#Maken fr hela LyXKOM
######################################################################

ALLCFILES = $(LYXFILES)
ALLFILES = $(ALLCFILES:.c=.o)

lyx:	$(ALLFILES)
	$(CC) $(CFLAGS) $(ALLFILES)

#lyxkom:
#	(cd $(GUIDIR); make -f gui.make gui)
#	(cd $(LYXDIR); make -f lyx.make lyx)
#	$(CC) $(CFLAGS) $(LDFLAGS) -o lyxkom $(ALLFILES) $(LDLIBS)
	

#lyxkom:	$(ALLFILES)
#	$(CC) $(CFLAGS) $(LDFLAGS) -o lyxkom $(ALLFILES) $(LDLIBS)

#lyx:	gui2 kom

#gui2:	$(ALLGUI)
#	$(CC) $(CFLAGS) -c $(LDFLAGS) -o lyxkom $(ALLGUI) $(LDLIBS)

#kom:	$(ALLGUI)
#	$(CC) $(CFLAGS) $(LDFLAGS) $(ALLGUI) $(LDLIBS)

####################################################
#Hr kan ni lgga in egna make-rutiner
####################################################

GUIDBGFILES = gui.c stack.c whoisstub.c
ALLGUIDBGFILES = $(GUIDBGFILES:.c=.o)

gui:	$(ALLGUIDBGFILES) gui.h
	$(CC) $(CFLAGS) $(LDFLAGS) -o gui $(ALLGUIDBGFILES) $(LDLIBS)



#COMPILE.c=$(CC) $(CFLAGS) $(CPPFLAGS) -c

#empty: empty.o
#	$(CC) $(CFLAGS) $(LDFLAGS) -o empty empty.o $(LDLIBS) 
#	strip empty

#test:	test.c
#	$(CC) $(CFLAGS) $(LDFLAGS) -o test test.c $(LDLIBS)

#insttest:	test.c test.sui
#	$(CC) $(CFLAGS) $(LDFLAGS) -o testin test.c test.sui $(LDLIBS)

#guiper:	gui.c suit.c
#	$(CC) $(CFLAGS) $(LDFLAGS) -o guiperm gui.c suit.c $(LDLIBS)

######################################################################

clean:
	rm -f *.o core empty 



