#include <stdio.h>
#include <stdlib.h>

#include <s-string.h>
#include <kom-types.h>
#include <kom-errno.h>
#include <services.h>

#include <lyxkom.h>
#include <lyxerr.h>
#include <lyxkom_global.h>
#include <gui_protos.h>  


/*
 * NAME lyx_enter_comment_text.c
 *
 * CREATED           93-05-14 by Janne & Ajo
 * LAST CHANGED:     93-05-18 by Ajo
 *
 * DESCRIPTION
 *
 * Call this function with the current conference-number
 * and a string to create a comment text.
 * 
 */

int lyx_enter_comment_text(Conf_no conf_no, char *textstr)
{
        String textStr = EMPTY_STRING;
	Conference conference = EMPTY_CONFERENCE;
        Text_stat text_stat = EMPTY_TEXT_STAT;
	Misc_info misc_info[2];
	Text_no comment;
	char *new_text_str;
        int i;
	
	/* Get info about the conference */
	
	if (kom_get_conf_stat(conf_no, &conference) == FAILURE)
          GUI_error("Serverfel (2:1)",SERVER_ERROR);
	
	/* Check if conference is protected for comments */
	
	if(conference.type.original)
	  return 1;

	/* Create a new string with the subject (last_text_subject) from the text
	   that is being commented and then add the text (the real comment) to the
	   same string. */

	new_text_str = malloc(strlen(last_text_subject)+strlen(textstr)+2);
	if (new_text_str == NULL)
	  GUI_error("Minnet slut (2:2)",MEMORY_ERROR);

	sprintf(new_text_str,"%s\n%s", last_text_subject,textstr);

	/* Make String of ordinary c-string */
	
        if (s_crea_str(&textStr, new_text_str) == FAILURE)
	  GUI_error("Minnet slut (2:3)",MEMORY_ERROR);

	/* Unallocate memory of the strings new_text_str and last_text_subject */

	free(last_text_subject);
	free(new_text_str);
	
	misc_info[0].type = recpt;
	misc_info[0].datum.recipient = conf_no;
        misc_info[1].type = comm_to;
	misc_info[1].datum.comment_to = (Text_no) last_text;

        if((comment=kom_create_text(textStr, 2, misc_info)) == 0)
	  GUI_error("Serverfel (2:4)",SERVER_ERROR);

        if(kom_get_text_stat(comment,&text_stat)==FAILURE)
          GUI_error("Serverfel (2:5)",SERVER_ERROR);

        for(i=0;i<text_stat.no_of_misc;i++)
            if(text_stat.misc_items[i].type == loc_no) {
                if(kom_mark_as_read(curr_conf,1,&text_stat.misc_items[i].datum.local_no)==FAILURE)
                  GUI_error("Serverfel (2:6)",SERVER_ERROR);
                break;
	    }

	return 0;
}


