#include <stdio.h>
#include <stdlib.h>

#include <s-string.h>
#include <kom-types.h>
#include <kom-errno.h>
#include <services.h>  

#include <lyxkom.h>
#include <lyxerr.h>
#include <lyxkom_global.h>
#include <gui_protos.h>   

/*
 * NAME lyx_enter_new_text.c
 *
 * CREATED           93-05-14 by Janne
 * LAST CHANGED:     93-05-18 by Ajo
 *
 * DESCRIPTION
 *
 * Call this function with the current conference-number
 * and a string to create a new text.
 * 
 */

void lyx_enter_new_text(Conf_no conf_no, char *textstr)
{
    Text_stat text_stat = EMPTY_TEXT_STAT;
    String textStr = EMPTY_STRING;
    Misc_info misc_info;
    int i;
    Text_no text;
    
    if (s_crea_str(&textStr, textstr) == FAILURE)
      GUI_error("Minnet slut (3:1)",MEMORY_ERROR);
    
    misc_info.type = 0;
    misc_info.datum.recipient = conf_no;
    
    if((text=kom_create_text(textStr, 1, &misc_info)) == 0)
      GUI_error("Serverfel (3:2)",SERVER_ERROR);
    
    if(kom_get_text_stat(text,&text_stat)==FAILURE)
      GUI_error("Serverfel (3:3)",SERVER_ERROR);
    
    for(i=0;i<text_stat.no_of_misc;i++)
      if(text_stat.misc_items[i].type == loc_no) {
	  if(kom_mark_as_read(curr_conf,1,&text_stat.misc_items[i].datum.local_no)==FAILURE)
	    GUI_error("Serverfel (3:4)",SERVER_ERROR);
	  break;
      }
}


