#include <stdio.h>
#include <stdlib.h>

#include <kom-errno.h>
#include <kom-types.h>
#include <services.h>
#include <s-string.h>

#include <lyxkom.h>
#include <lyxerr.h>
#include <lyx_login.h>
#include <lyx_protos.h>
#include <lyxkom_global.h>
#include <gui_protos.h>
  
/*
 * NAME lyx_login.c
 *
 * CREATED      93-04-30 By Hez
 * LAST CHANGED 93-05-19 By Hez
 *
 */

void lyx_change_what_i_am_doing(char *doing)
{
    String tmp = EMPTY_STRING;

    if(s_crea_str(&tmp,doing) == FAILURE)
      GUI_error("Minnet slut (9:1)",MEMORY_ERROR);
    kom_change_what_i_am_doing(tmp);
}

int lyx_init()
{
    /* Init storage managment for kom- and stringcalls */
    
    kom_set_storage_management (malloc, realloc, free);
    s_set_storage_management (malloc, realloc, free);

/* Clear our globals */
    user_id = 0;
    last_text = 0;
    curr_conf = 0;
    
    return 0;
}

int lyx_login(char *server, char *name, char *password)
{
    Conf_list             conflist              = EMPTY_CONF_LIST;
    String                tmp                   = EMPTY_STRING;

    if (kom_open_connection(server) == FAILURE)
      return NO_SERVER;
    
    if(s_crea_str(&tmp,name) == FAILURE)
      GUI_error("Minnet slut (9:2)",MEMORY_ERROR);
    
    if (kom_lookup_name(tmp, &conflist) == FAILURE)
      return NO_SERVER;
    
    free(tmp.string);
    tmp = EMPTY_STRING;
    
    if (conflist.no_of_confs==0)
      return NAME_NOT_FOUND;
    
    if (conflist.no_of_confs!=1)
      return MORE_THAN_ONE_NAME_FOUND;
    
    if(s_crea_str(&tmp,password) == FAILURE)
      GUI_error("Minnet slut (9:3)",MEMORY_ERROR);
    
    if(kom_login_old(conflist.confs[0].conf_no, tmp) == FAILURE)
      return BAD_PASSWORD;
    
    user_id = conflist.confs[0].conf_no;
    
    free(tmp.string);
    /* We should free conflist - allocated by kom_lookup_name here */
    
    lyx_change_what_i_am_doing("Kr den bsta klienten -> LyXkom");
    
    return LOGIN_OK;
}

