#include <stdio.h>
#include <stdlib.h>

#include <s-string.h>
#include <kom-types.h>
#include <kom-errno.h>
#include <services.h>

#include <lyxkom.h>
#include <lyx_protos.h>
#include <lyxerr.h>
#include <lyxkom_global.h>
#include <gui_protos.h> 

/*
 * NAME lyx_subscribe.c
 *
 * CREATED      93-05-12 By Jompa
 * LAST CHANGED 93-05-18 By Janne
 *
 * Call this function with the conference number 
 * Returns 0 for success or 1 for failure
 *
 */

int lyx_subscribe(int conf_no)
{
   int i;
   Person user_info = EMPTY_PERSON;
   Membership_list  test_list = EMPTY_MEMBERSHIP_LIST;
   
   /* Get person-status to find out how many meetings the person is a member in */
     
   if (kom_get_person_stat((Pers_no)user_id,&user_info) == FAILURE)
     GUI_error("Serverfel (13:1)",SERVER_ERROR);
    
   /* Get information about the person's memberships */
   
   if (kom_get_membership((Pers_no)user_id,0,user_info.no_of_confs+1,1,
                           &test_list) == FAILURE)
     GUI_error("Serverfel (13:2)",SERVER_ERROR);
   
   /* Check if member */

   for (i=0; i<user_info.no_of_confs; i++) 
     if (conf_no == test_list.confs[i].conf_no) {
       GUI_error("Redan medlem i mtet",NOT_REALLY_ERROR);
       return 1;
     }
               
   /* Subscribe */
     
   if(kom_add_member(conf_no, (Pers_no)user_id, 0,
		     user_info.no_of_confs) == FAILURE) {
       GUI_error("Mtet r stngt!",NOT_REALLY_ERROR);
       return 1;
   }

   lyx_goto_meeting(curr_conf); /* Reread unread-meetings-list */
   return 0;
}
